- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Typedefs | Enumerations | Functions
Image Object Functions
Specific Object Functions

Here are grouped together functions used to create and manipulate image objects. More...

## Typedefs
typedef enum _Evas_Colorspace | Evas_Colorspace
| Colorspaces for pixel data supported by Evas. More...
typedef void(* | Evas_Object_Image_Pixels_Get_Cb )(void *data, Evas_Object *o)

## Enumerations
enum | _Evas_Colorspace { EVAS_COLORSPACE_ARGB8888, EVAS_COLORSPACE_YCBCR422P601_PL, EVAS_COLORSPACE_YCBCR422P709_PL, EVAS_COLORSPACE_RGB565_A5P, EVAS_COLORSPACE_GRY8, EVAS_COLORSPACE_YCBCR422601_PL, EVAS_COLORSPACE_YCBCR420NV12601_PL, EVAS_COLORSPACE_YCBCR420TM12601_PL }
| Colorspaces for pixel data supported by Evas. More...

## Functions
Eina_Bool | evas_object_image_extension_can_load_get (const char *file)
| Check if a file extension may be supported by Image Object Functions. More...
Eina_Bool | evas_object_image_extension_can_load_fast_get (const char *file)
| Check if a file extension may be supported by Image Object Functions. More...
#define | evas_obj_image_file_set(file, key) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_FILE_SET), EO_TYPECHECK(const char *, file), EO_TYPECHECK(const char*, key)
#define | evas_obj_image_mmap_set(f, key) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_MMAP_SET), EO_TYPECHECK(const Eina_File *, f), EO_TYPECHECK(const char*, key)
#define | evas_obj_image_file_get(file, key) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_FILE_GET), EO_TYPECHECK(const char **, file), EO_TYPECHECK(const char **, key)
#define | evas_obj_image_source_set(src, result) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SOURCE_SET), EO_TYPECHECK(Evas_Object *, src), EO_TYPECHECK(Eina_Bool *, result)
#define | evas_obj_image_source_get(src) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SOURCE_GET), EO_TYPECHECK(Evas_Object **, src)
#define | evas_obj_image_source_visible_set(visible) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SOURCE_VISIBLE_SET), EO_TYPECHECK(Eina_Bool, visible)
#define | evas_obj_image_source_visible_get(visible) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SOURCE_VISIBLE_GET), EO_TYPECHECK(Eina_Bool *, visible)
#define | evas_obj_image_source_events_set(source) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SOURCE_EVENTS_SET), EO_TYPECHECK(Eina_Bool, source)
#define | evas_obj_image_source_events_get(source) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SOURCE_EVENTS_GET), EO_TYPECHECK(Eina_Bool *, source)
#define | evas_obj_image_source_clip_set(source_clip) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SOURCE_CLIP_SET), EO_TYPECHECK(Eina_Bool, source_clip)
#define | evas_obj_image_source_clip_get(source_clip) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SOURCE_CLIP_GET), EO_TYPECHECK(Eina_Bool *, source_clip)
#define | evas_obj_image_border_set(l, r, t, b) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_BORDER_SET), EO_TYPECHECK(int, l), EO_TYPECHECK(int, r), EO_TYPECHECK(int, t), EO_TYPECHECK(int, b)
#define | evas_obj_image_border_get(l, r, t, b) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_BORDER_GET), EO_TYPECHECK(int *, l), EO_TYPECHECK(int *, r), EO_TYPECHECK(int *, t), EO_TYPECHECK(int *, b)
#define | evas_obj_image_border_center_fill_set(fill) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_BORDER_CENTER_FILL_SET), EO_TYPECHECK(Evas_Border_Fill_Mode, fill)
#define | evas_obj_image_border_center_fill_get(fill) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_BORDER_CENTER_FILL_GET), EO_TYPECHECK(Evas_Border_Fill_Mode *, fill)
#define | evas_obj_image_filled_set(filled) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_FILLED_SET), EO_TYPECHECK(Eina_Bool, filled)
#define | evas_obj_image_filled_get(filled) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_FILLED_GET), EO_TYPECHECK(Eina_Bool *, filled)
#define | evas_obj_image_border_scale_set(scale) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_BORDER_SCALE_SET), EO_TYPECHECK(double, scale)
#define | evas_obj_image_border_scale_get(scale) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_BORDER_SCALE_GET), EO_TYPECHECK(double *, scale)
#define | evas_obj_image_fill_set(x, y, w, h) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_FILL_SET), EO_TYPECHECK(Evas_Coord, x), EO_TYPECHECK(Evas_Coord, y), EO_TYPECHECK(Evas_Coord, w), EO_TYPECHECK(Evas_Coord, h)
#define | evas_obj_image_fill_get(x, y, w, h) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_FILL_GET), EO_TYPECHECK(Evas_Coord *, x), EO_TYPECHECK(Evas_Coord *, y), EO_TYPECHECK(Evas_Coord *, w), EO_TYPECHECK(Evas_Coord *, h)
#define | evas_obj_image_fill_spread_set(spread) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_FILL_SPREAD_SET), EO_TYPECHECK(Evas_Fill_Spread, spread)
#define | evas_obj_image_fill_spread_get(spread) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_FILL_SPREAD_GET), EO_TYPECHECK(Evas_Fill_Spread *, spread)
#define | evas_obj_image_size_set(w, h) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SIZE_SET), EO_TYPECHECK(int, w), EO_TYPECHECK(int, h)
#define | evas_obj_image_size_get(w, h) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SIZE_GET), EO_TYPECHECK(int *, w), EO_TYPECHECK(int *, h)
#define | evas_obj_image_stride_get(stride) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_STRIDE_GET), EO_TYPECHECK(int *, stride)
#define | evas_obj_image_load_error_get(load_error) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_LOAD_ERROR_GET), EO_TYPECHECK(Evas_Load_Error *, load_error)
#define | evas_obj_image_data_convert(to_cspace, data) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_DATA_CONVERT), EO_TYPECHECK(Evas_Colorspace, to_cspace), EO_TYPECHECK(void **, data)
#define | evas_obj_image_data_set(data) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_DATA_SET), EO_TYPECHECK(void *, data)
#define | evas_obj_image_data_get(for_writing, data) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_DATA_GET), EO_TYPECHECK(Eina_Bool, for_writing), EO_TYPECHECK(void **, data)
#define | evas_obj_image_data_copy_set(data) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_DATA_COPY_SET), EO_TYPECHECK(void *, data)
#define | evas_obj_image_data_update_add(x, y, w, h) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_DATA_UPDATE_ADD), EO_TYPECHECK(int, x), EO_TYPECHECK(int, y), EO_TYPECHECK(int, w), EO_TYPECHECK(int, h)
#define | evas_obj_image_alpha_set(alpha) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_ALPHA_SET), EO_TYPECHECK(Eina_Bool, alpha)
#define | evas_obj_image_alpha_get(alpha) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_ALPHA_GET), EO_TYPECHECK(Eina_Bool *, alpha)
#define | evas_obj_image_smooth_scale_set(smooth_scale) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SMOOTH_SCALE_SET), EO_TYPECHECK(Eina_Bool, smooth_scale)
#define | evas_obj_image_smooth_scale_get(smooth_scale) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SMOOTH_SCALE_GET), EO_TYPECHECK(Eina_Bool *, smooth_scale)
#define | evas_obj_image_preload_begin() EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_PRELOAD_BEGIN)
#define | evas_obj_image_preload_cancel() EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_PRELOAD_CANCEL)
#define | evas_obj_image_reload() EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_RELOAD)
#define | evas_obj_image_save(file, key, flags, result) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SAVE), EO_TYPECHECK(const char *, file), EO_TYPECHECK(const char *, key), EO_TYPECHECK(const char *, flags), EO_TYPECHECK(Eina_Bool *, result)
#define | evas_obj_image_pixels_import(pixels, result) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_PIXELS_IMPORT), EO_TYPECHECK(Evas_Pixel_Import_Source *, pixels), EO_TYPECHECK(Eina_Bool *, result)
#define | evas_obj_image_pixels_get_callback_set(func, data) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_PIXELS_GET_CALLBACK_SET), EO_TYPECHECK(Evas_Object_Image_Pixels_Get_Cb, func), EO_TYPECHECK(void *, data)
#define | evas_obj_image_pixels_dirty_set(dirty) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_PIXELS_DIRTY_SET), EO_TYPECHECK(Eina_Bool, dirty)
#define | evas_obj_image_pixels_dirty_get(dirty) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_PIXELS_DIRTY_GET), EO_TYPECHECK(Eina_Bool *, dirty)
#define | evas_obj_image_load_dpi_set(dpi) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_LOAD_DPI_SET), EO_TYPECHECK(double, dpi)
#define | evas_obj_image_load_dpi_get(dpi) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_LOAD_DPI_GET), EO_TYPECHECK(double *, dpi)
#define | evas_obj_image_load_size_set(w, h) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_LOAD_SIZE_SET), EO_TYPECHECK(int, w), EO_TYPECHECK(int, h)
#define | evas_obj_image_load_size_get(w, h) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_LOAD_SIZE_GET), EO_TYPECHECK(int *, w), EO_TYPECHECK(int *, h)
#define | evas_obj_image_load_scale_down_set(scale_down) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_LOAD_SCALE_DOWN_SET), EO_TYPECHECK(int, scale_down)
#define | evas_obj_image_load_scale_down_get(scale_down) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_LOAD_SCALE_DOWN_GET), EO_TYPECHECK(int *, scale_down)
#define | evas_obj_image_load_region_set(x, y, w, h) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_LOAD_REGION_SET), EO_TYPECHECK(int, x), EO_TYPECHECK(int, y), EO_TYPECHECK(int, w), EO_TYPECHECK(int, h)
#define | evas_obj_image_load_region_get(x, y, w, h) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_LOAD_REGION_GET), EO_TYPECHECK(int *, x), EO_TYPECHECK(int *, y), EO_TYPECHECK(int *, w), EO_TYPECHECK(int *, h)
#define | evas_obj_image_load_orientation_set(enable) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_LOAD_ORIENTATION_SET), EO_TYPECHECK(Eina_Bool, enable)
#define | evas_obj_image_load_orientation_get(enable) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_LOAD_ORIENTATION_GET), EO_TYPECHECK(Eina_Bool *, enable)
#define | evas_obj_image_colorspace_set(cspace) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_COLORSPACE_SET), EO_TYPECHECK(Evas_Colorspace, cspace)
#define | evas_obj_image_colorspace_get(cspace) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_COLORSPACE_GET), EO_TYPECHECK(Evas_Colorspace *, cspace)
#define | evas_obj_image_video_surface_set(surf) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_VIDEO_SURFACE_SET), EO_TYPECHECK(Evas_Video_Surface *, surf)
#define | evas_obj_image_video_surface_get(surf) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_VIDEO_SURFACE_GET), EO_TYPECHECK(const Evas_Video_Surface **, surf)
#define | evas_obj_image_video_surface_caps_set(caps) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_VIDEO_SURFACE_CAPS_SET), EO_TYPECHECK(unsigned int, caps)
#define | evas_obj_image_video_surface_caps_get(caps) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_VIDEO_SURFACE_CAPS_GET), EO_TYPECHECK(unsigned int *, caps)
#define | evas_obj_image_native_surface_set(surf) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_NATIVE_SURFACE_SET), EO_TYPECHECK(Evas_Native_Surface *, surf)
#define | evas_obj_image_native_surface_get(surf) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_NATIVE_SURFACE_GET), EO_TYPECHECK(Evas_Native_Surface **, surf)
#define | evas_obj_image_scale_hint_set(hint) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SCALE_HINT_SET), EO_TYPECHECK(Evas_Image_Scale_Hint, hint)
#define | evas_obj_image_scale_hint_get(hint) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SCALE_HINT_GET), EO_TYPECHECK(Evas_Image_Scale_Hint *, hint)
#define | evas_obj_image_content_hint_set(hint) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_CONTENT_HINT_SET), EO_TYPECHECK(Evas_Image_Content_Hint, hint)
#define | evas_obj_image_content_hint_get(hint) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_CONTENT_HINT_GET), EO_TYPECHECK(Evas_Image_Content_Hint *, hint)
#define | evas_obj_image_region_support_get(region) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_REGION_SUPPORT_GET), EO_TYPECHECK(Eina_Bool *, region)
#define | evas_obj_image_animated_get(animated) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_ANIMATED_GET), EO_TYPECHECK(Eina_Bool *, animated)
#define | evas_obj_image_animated_frame_count_get(frame_count) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_ANIMATED_FRAME_COUNT_GET), EO_TYPECHECK(int *, frame_count)
#define | evas_obj_image_animated_loop_type_get(hint) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_ANIMATED_LOOP_TYPE_GET), EO_TYPECHECK(Evas_Image_Animated_Loop_Hint *, hint)
#define | evas_obj_image_animated_loop_count_get(loop_count) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_ANIMATED_LOOP_COUNT_GET), EO_TYPECHECK(int *, loop_count)
#define | evas_obj_image_animated_frame_duration_get(start_frame, frame_num, frame_duration) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_ANIMATED_FRAME_DURATION_GET), EO_TYPECHECK(int, start_frame), EO_TYPECHECK(int, frame_num), EO_TYPECHECK(double *, frame_duration)
#define | evas_obj_image_animated_frame_set(frame_index) EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_ANIMATED_FRAME_SET), EO_TYPECHECK(int, frame_index)
Evas_Object * | evas_object_image_add (Evas *e)
| Creates a new image object on the given Evas `e` canvas. More...
Evas_Object * | evas_object_image_filled_add (Evas *e)
| Creates a new image object that automatically scales its bound image to the object's area, on both axis. More...
void | evas_object_image_memfile_set (Evas_Object *obj, void *data, int size, char *format, char *key)
| Sets the data for an image from memory to be loaded. More...
void | evas_object_image_file_set (Evas_Object *obj, const char *file, const char *key)
| Set the source file from where an image object must fetch the real image data (it may be an Eet file, besides pure image ones). More...
void | evas_object_image_mmap_set (Evas_Object *obj, const Eina_File *f, const char *key)
| Set the source mmaped file from where an image object must fetch the real image data (it must be an Eina_File). More...
void | evas_object_image_file_get (const Evas_Object *obj, const char **file, const char **key)
| Retrieve the source file from where an image object is to fetch the real image data (it may be an Eet file, besides pure image ones). More...
void | evas_object_image_border_set (Evas_Object *obj, int l, int r, int t, int b)
| Set the dimensions for an image object's border, a region which won't ever be scaled together with its center. More...
void | evas_object_image_border_get (const Evas_Object *obj, int *l, int *r, int *t, int *b)
| Retrieve the dimensions for an image object's border, a region which won't ever be scaled together with its center. More...
void | evas_object_image_border_center_fill_set (Evas_Object *obj, Evas_Border_Fill_Mode fill)
| Sets how the center part of the given image object (not the borders) should be drawn when Evas is rendering it. More...
Evas_Border_Fill_Mode | evas_object_image_border_center_fill_get (const Evas_Object *obj)
| Retrieves how the center part of the given image object (not the borders) is to be drawn when Evas is rendering it. More...
void | evas_object_image_filled_set (Evas_Object *obj, Eina_Bool setting)
| Set whether the image object's fill property should track the object's size. More...
Eina_Bool | evas_object_image_filled_get (const Evas_Object *obj)
| Retrieve whether the image object's fill property should track the object's size. More...
void | evas_object_image_border_scale_set (Evas_Object *obj, double scale)
| Sets the scaling factor (multiplier) for the borders of an image object. More...
double | evas_object_image_border_scale_get (const Evas_Object *obj)
| Retrieves the scaling factor (multiplier) for the borders of an image object. More...
void | evas_object_image_fill_set (Evas_Object *obj, Evas_Coord x, Evas_Coord y, Evas_Coord w, Evas_Coord h)
| Set how to fill an image object's drawing rectangle given the (real) image bound to it. More...
void | evas_object_image_fill_get (const Evas_Object *obj, Evas_Coord *x, Evas_Coord *y, Evas_Coord *w, Evas_Coord *h)
| Retrieve how an image object is to fill its drawing rectangle, given the (real) image bound to it. More...
void | evas_object_image_fill_spread_set (Evas_Object *obj, Evas_Fill_Spread spread)
| Sets the tiling mode for the given evas image object's fill. More...
Evas_Fill_Spread | evas_object_image_fill_spread_get (const Evas_Object *obj)
| Retrieves the spread (tiling mode) for the given image object's fill. More...
void | evas_object_image_size_set (Evas_Object *obj, int w, int h)
| Sets the size of the given image object. More...
void | evas_object_image_size_get (const Evas_Object *obj, int *w, int *h)
| Retrieves the size of the given image object. More...
int | evas_object_image_stride_get (const Evas_Object *obj)
| Retrieves the row stride of the given image object. More...
Evas_Load_Error | evas_object_image_load_error_get (const Evas_Object *obj)
| Retrieves a number representing any error that occurred during the last loading of the given image object's source image. More...
void | evas_object_image_data_set (Evas_Object *obj, void *data)
| Sets the raw image data of the given image object. More...
void * | evas_object_image_data_get (const Evas_Object *obj, Eina_Bool for_writing)
| Get a pointer to the raw image data of the given image object. More...
void * | evas_object_image_data_convert (Evas_Object *obj, Evas_Colorspace to_cspace)
| Converts the raw image data of the given image object to the specified colorspace. More...
void | evas_object_image_data_copy_set (Evas_Object *obj, void *data)
| Replaces the raw image data of the given image object. More...
void | evas_object_image_data_update_add (Evas_Object *obj, int x, int y, int w, int h)
| Mark a sub-region of the given image object to be redrawn. More...
void | evas_object_image_alpha_set (Evas_Object *obj, Eina_Bool has_alpha)
| Enable or disable alpha channel usage on the given image object. More...
Eina_Bool | evas_object_image_alpha_get (const Evas_Object *obj)
| Retrieve whether alpha channel data is being used on the given image object. More...
void | evas_object_image_smooth_scale_set (Evas_Object *obj, Eina_Bool smooth_scale)
| Sets whether to use high-quality image scaling algorithm on the given image object. More...
Eina_Bool | evas_object_image_smooth_scale_get (const Evas_Object *obj)
| Retrieves whether the given image object is using high-quality image scaling algorithm. More...
void | evas_object_image_preload (Evas_Object *obj, Eina_Bool cancel)
| Preload an image object's image data in the background. More...
void | evas_object_image_reload (Evas_Object *obj)
| Reload an image object's image data. More...
Eina_Bool | evas_object_image_save (const Evas_Object *obj, const char *file, const char *key, const char *flags)
| Save the given image object's contents to an (image) file. More...
Eina_Bool | evas_object_image_pixels_import (Evas_Object *obj, Evas_Pixel_Import_Source *pixels)
| Import pixels from given source to a given canvas image object. More...
void | evas_object_image_pixels_get_callback_set (Evas_Object *obj, Evas_Object_Image_Pixels_Get_Cb func, void *data)
| Set the callback function to get pixels from a canvas' image. More...
void | evas_object_image_pixels_dirty_set (Evas_Object *obj, Eina_Bool dirty)
| Mark whether the given image object is dirty and needs to request its pixels. More...
Eina_Bool | evas_object_image_pixels_dirty_get (const Evas_Object *obj)
| Retrieves whether the given image object is dirty (needs to be redrawn). More...
void | evas_object_image_load_dpi_set (Evas_Object *obj, double dpi)
| Set the DPI resolution of an image object's source image. More...
double | evas_object_image_load_dpi_get (const Evas_Object *obj)
| Get the DPI resolution of a loaded image object in the canvas. More...
void | evas_object_image_load_size_set (Evas_Object *obj, int w, int h)
| Set the size of a given image object's source image, when loading it. More...
void | evas_object_image_load_size_get (const Evas_Object *obj, int *w, int *h)
| Get the size of a given image object's source image, when loading it. More...
void | evas_object_image_load_scale_down_set (Evas_Object *obj, int scale_down)
| Set the scale down factor of a given image object's source image, when loading it. More...
int | evas_object_image_load_scale_down_get (const Evas_Object *obj)
| get the scale down factor of a given image object's source image, when loading it. More...
void | evas_object_image_load_region_set (Evas_Object *obj, int x, int y, int w, int h)
| Inform a given image object to load a selective region of its source image. More...
void | evas_object_image_load_region_get (const Evas_Object *obj, int *x, int *y, int *w, int *h)
| Retrieve the coordinates of a given image object's selective (source image) load region. More...
void | evas_object_image_load_orientation_set (Evas_Object *obj, Eina_Bool enable)
| Define if the orientation information in the image file should be honored. More...
Eina_Bool | evas_object_image_load_orientation_get (const Evas_Object *obj)
| Get if the orientation information in the image file should be honored. More...
void | evas_object_image_colorspace_set (Evas_Object *obj, Evas_Colorspace cspace)
| Set the colorspace of a given image of the canvas. More...
Evas_Colorspace | evas_object_image_colorspace_get (const Evas_Object *obj)
| Get the colorspace of a given image of the canvas. More...
Eina_Bool | evas_object_image_region_support_get (const Evas_Object *obj)
| Get the support state of a given image. More...
void | evas_object_image_native_surface_set (Evas_Object *obj, Evas_Native_Surface *surf)
| Set the native surface of a given image of the canvas. More...
Evas_Native_Surface * | evas_object_image_native_surface_get (const Evas_Object *obj)
| Get the native surface of a given image of the canvas. More...
void | evas_object_image_video_surface_set (Evas_Object *obj, Evas_Video_Surface *surf)
| Set the video surface linked to a given image of the canvas. More...
const Evas_Video_Surface * | evas_object_image_video_surface_get (const Evas_Object *obj)
| Get the video surface linekd to a given image of the canvas. More...
void | evas_object_image_video_surface_caps_set (Evas_Object *obj, unsigned int caps)
unsigned int | evas_object_image_video_surface_caps_get (const Evas_Object *obj)
void | evas_object_image_scale_hint_set (Evas_Object *obj, Evas_Image_Scale_Hint hint)
| Set the scale hint of a given image of the canvas. More...
Evas_Image_Scale_Hint | evas_object_image_scale_hint_get (const Evas_Object *obj)
| Get the scale hint of a given image of the canvas. More...
void | evas_object_image_content_hint_set (Evas_Object *obj, Evas_Image_Content_Hint hint)
| Set the content hint setting of a given image object of the canvas. More...
Evas_Image_Content_Hint | evas_object_image_content_hint_get (const Evas_Object *obj)
| Get the content hint setting of a given image object of the canvas. More...
void | evas_object_image_alpha_mask_set (Evas_Object *obj, Eina_Bool ismask)
| Enable an image to be used as an alpha mask. More...
Eina_Bool | evas_object_image_source_set (Evas_Object *obj, Evas_Object *src)
| Set the source object on an image object to used as a proxy. More...
Evas_Object * | evas_object_image_source_get (const Evas_Object *obj)
| Get the current source object of an image object. More...
Eina_Bool | evas_object_image_source_unset (Evas_Object *obj)
| Clear the source object on a proxy image object. More...
void | evas_object_image_source_visible_set (Evas_Object *obj, Eina_Bool visible)
| Set the source object to be visible or not. More...
Eina_Bool | evas_object_image_source_visible_get (const Evas_Object *obj)
| Get the state of the source object visibility. More...
void | evas_object_image_source_events_set (Evas_Object *obj, Eina_Bool source)
| Set whether an Evas object is to source events. More...
Eina_Bool | evas_object_image_source_events_get (const Evas_Object *obj)
| Determine whether an object is set to source events. More...
void | evas_object_image_source_clip_set (Evas_Object *obj, Eina_Bool source_clip)
| Clip the proxy object with the source object's clipper. More...
Eina_Bool | evas_object_image_source_clip_get (const Evas_Object *obj)
| Determine whether an object is clipped by source object's clipper. More...
Eina_Bool | evas_object_image_animated_get (const Evas_Object *obj)
| Check if an image object can be animated (have multiple frames) More...
int | evas_object_image_animated_frame_count_get (const Evas_Object *obj)
| Get the total number of frames of the image object. More...
Evas_Image_Animated_Loop_Hint | evas_object_image_animated_loop_type_get (const Evas_Object *obj)
| Get the kind of looping the image object does. More...
int | evas_object_image_animated_loop_count_get (const Evas_Object *obj)
| Get the number times the animation of the object loops. More...
double | evas_object_image_animated_frame_duration_get (const Evas_Object *obj, int start_frame, int fram_num)
| Get the duration of a sequence of frames. More...
void | evas_object_image_animated_frame_set (Evas_Object *obj, int frame_num)
| Set the frame to current frame of an image object. More...

## Detailed Description

Here are grouped together functions used to create and manipulate image objects.

They are available to whichever occasion one needs complex imagery on a GUI that could not be achieved by the other Evas' primitive object types, or to make image manipulations.

Evas will support whichever image file types it was compiled with support to (its image loaders) – check your software packager for that information and see evas_object_image_extension_can_load_get().

# Image object basics

The most common use of image objects – to display an image on the canvas – is achieved by a common function triplet:

img = evas_object_image_add(canvas);
evas_object_image_file_set(img, "path/to/img", NULL);
evas_object_image_fill_set(img, 0, 0, w, h);

The first function, naturally, is creating the image object. Then, one must set an source file on it, so that it knows where to fetch image data from. Next, one must set how to fill the image object's area with that given pixel data. One could use just a sub-region of the original image or even have it tiled repeatedly on the image object. For the common case of having the whole source image to be displayed on the image object, stretched to the destination's size, there's also a function helper, to be used instead of evas_object_image_fill_set():

evas_object_image_filled_set(img, EINA_TRUE);

See those functions' documentation for more details.

# Scale and resizing

Resizing of image objects will scale their respective source images to their areas, if they are set to "fill" the object's area (evas_object_image_filled_set()). If the user wants any control on the aspect ratio of an image for different sizes, he/she has to take care of that themselves. There are functions to make images to get loaded scaled (up or down) in memory, already, if the user is going to use them at pre-determined sizes and wants to save computations.

Evas has even a scale cache, which will take care of caching scaled versions of images with more often usage/hits. Finally, one can have images being rescaled smoothly by Evas (more computationally expensive) or not.

# Performance hints

When dealing with image objects, there are some tricks to boost the performance of your application, if it does intense image loading and/or manipulations, as in animations on a UI.

## Load hints

In image viewer applications, for example, the user will be looking at a given image, at full size, and will desire that the navigation to the adjacent images on his/her album be fluid and fast. Thus, while displaying a given image, the program can be on the background loading the next and previous images already, so that displaying them on the sequence is just a matter of repainting the screen (and not decoding image data).

Evas addresses this issue with image pre-loading. The code for the situation above would be something like the following:

prev = evas_object_image_filled_add(canvas);
evas_object_image_file_set(prev, "/path/to/prev", NULL);
evas_object_image_preload(prev, EINA_TRUE);
next = evas_object_image_filled_add(canvas);
evas_object_image_file_set(next, "/path/to/next", NULL);
evas_object_image_preload(next, EINA_TRUE);

If you're loading images which are too big, consider setting previously it's loading size to something smaller, in case you won't expose them in real size. It may speed up the loading considerably:

//to load a scaled down version of the image in memory, if that's
//the size you'll be displaying it anyway
evas_object_image_load_scale_down_set(img, zoom);
//optional: if you know you'll be showing a sub-set of the image's
//pixels, you can avoid loading the complementary data
evas_object_image_load_region_set(img, x, y, w, h);

Refer to Elementary's Photocam widget for a high level (smart) object which does lots of loading speed-ups for you.

## Animation hints

If you want to animate image objects on a UI (what you'd get by concomitant usage of other libraries, like Ecore and Edje), there are also some tips on how to boost the performance of your application. If the animation involves resizing of an image (thus, re-scaling), you'd better turn off smooth scaling on it during the animation, turning it back on afterwards, for less computations. Also, in this case you'd better flag the image object in question not to cache scaled versions of it:

evas_object_image_scale_hint_set(wd->img, EVAS_IMAGE_SCALE_HINT_DYNAMIC);
// resizing takes place in between
evas_object_image_scale_hint_set(wd->img, EVAS_IMAGE_SCALE_HINT_STATIC);

Finally, movement of opaque images through the canvas is less expensive than of translucid ones, because of blending computations.

# Borders

Evas provides facilities for one to specify an image's region to be treated specially – as "borders". This will make those regions be treated specially on resizing scales, by keeping their aspect. This makes setting frames around other objects on UIs easy. See the following figures for a visual explanation:
Full-size Full-size

# Manipulating pixels

Evas image objects can be used to manipulate raw pixels in many ways. The meaning of the data in the pixel arrays will depend on the image's color space, be warned (see next section). You can set your own data as an image's pixel data, fetch an image's pixel data for saving/altering, convert images between different color spaces and even advanced operations like setting a native surface as image objects' data.

# Color spaces

Image objects may return or accept "image data" in multiple formats. This is based on the color space of an object. Here is a rundown on formats:

- EVAS_COLORSPACE_ARGB8888: This pixel format is a linear block of pixels, starting at the top-left row by row until the bottom right of the image or pixel region. All pixels are 32-bit unsigned int's with the high-byte being alpha and the low byte being blue in the format ARGB. Alpha may or may not be used by evas depending on the alpha flag of the image, but if not used, should be set to 0xff anyway.
  This colorspace uses premultiplied alpha. That means that R, G and B cannot exceed A in value. The conversion from non-premultiplied colorspace is:
  R = (r * a) / 255; G = (g * a) / 255; B = (b * a) / 255;
  So 50% transparent blue will be: 0x80000080. This will not be "dark" - just 50% transparent. Values are 0 == black, 255 == solid or full red, green or blue.

- EVAS_COLORSPACE_YCBCR422P601_PL: This is a pointer-list indirected set of YUV (YCbCr) pixel data. This means that the data returned or set is not actual pixel data, but pointers TO lines of pixel data. The list of pointers will first be N rows of pointers to the Y plane - pointing to the first pixel at the start of each row in the Y plane. N is the height of the image data in pixels. Each pixel in the Y, U and V planes is 1 byte exactly, packed. The next N / 2 pointers will point to rows in the U plane, and the next N / 2 pointers will point to the V plane rows. U and V planes are half the horizontal and vertical resolution of the Y plane.
  Row order is top to bottom and row pixels are stored left to right.
  There is a limitation that these images MUST be a multiple of 2 pixels in size horizontally or vertically. This is due to the U and V planes being half resolution. Also note that this assumes the itu601 YUV colorspace specification. This is defined for standard television and mpeg streams. HDTV may use the itu709 specification.
  Values are 0 to 255, indicating full or no signal in that plane respectively.

- EVAS_COLORSPACE_YCBCR422P709_PL: Not implemented yet.

- EVAS_COLORSPACE_RGB565_A5P: In the process of being implemented in 1 engine only. This may change.
  This is a pointer to image data for 16-bit half-word pixel data in 16bpp RGB 565 format (5 bits red, 6 bits green, 5 bits blue), with the high-byte containing red and the low byte containing blue, per pixel. This data is packed row by row from the top-left to the bottom right.
  If the image has an alpha channel enabled there will be an extra alpha plane after the color pixel plane. If not, then this data will not exist and should not be accessed in any way. This plane is a set of pixels with 1 byte per pixel defining the alpha values of all pixels in the image from the top-left to the bottom right of the image, row by row. Even though the values of the alpha pixels can be 0 to 255, only values 0 through to 32 are used, 32 being solid and 0 being transparent.
  RGB values can be 0 to 31 for red and blue and 0 to 63 for green, with 0 being black and 31 or 63 being full red, green or blue respectively. This colorspace is also pre-multiplied like EVAS_COLORSPACE_ARGB8888 so:
  R = (r * a) / 32; G = (g * a) / 32; B = (b * a) / 32;

- EVAS_COLORSPACE_GRY8: The image is just a alpha mask (8 bit's per pixel). This is used for alpha masking.

Warning
  We don't guarantee any proper results if you create a Image object without setting the evas engine.

Some examples on this group of functions can be found here.

## Macro Definition Documentation

#define evas_obj_image_file_set | ( |  | file,
|  |  | key
| ) |  | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_FILE_SET), EO_TYPECHECK(const char *, file), EO_TYPECHECK(const char*, key)

Since
  1.8

Set the source file from where an image object must fetch the real image data (it may be an Eet file, besides pure image ones).

Parameters

  [in] | file | The image file path.
  [in] | key | The image key in `file` (if its an Eet one), or ``

See Also
  evas_object_image_file_set

Referenced by evas_object_image_file_set().

#define evas_obj_image_mmap_set | ( |  | f,
|  |  | key
| ) |  | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_MMAP_SET), EO_TYPECHECK(const Eina_File *, f), EO_TYPECHECK(const char*, key)

Since
  1.8

Set the source mmaped file from where an image object must fetch the real image data (it may be any Eina_File).

Parameters

  [in] | f | in
  [in] | key | in

See Also
  evas_obj_image_file_set

Referenced by evas_object_image_memfile_set(), and evas_object_image_mmap_set().

#define evas_obj_image_file_get | ( |  | file,
|  |  | key
| ) |  | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_FILE_GET), EO_TYPECHECK(const char **, file), EO_TYPECHECK(const char **, key)

Since
  1.8

Retrieve the source file from where an image object is to fetch the real image data (it may be an Eet file, besides pure image ones).

Parameters

  [out] | file | Location to store the image file path.
  [out] | key | Location to store the image key (if `file` is an Eet one).

You must not modify the strings on the returned pointers.

Note
  Use `NULL` pointers on the file components you're not interested in: they'll be ignored by the function.

See Also
  evas_object_image_file_get

Referenced by evas_object_image_file_get().

#define evas_obj_image_source_set | ( |  | src,
|  |  | result
| ) |  | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SOURCE_SET), EO_TYPECHECK(Evas_Object *, src), EO_TYPECHECK(Eina_Bool *, result)

Since
  1.8

Set the source object on an image object to used as a proxy.

Parameters

  [in] | src | in
  [out] | result | out

See Also
  evas_object_image_source_set

Referenced by evas_object_image_source_set(), and evas_object_image_source_unset().

#define evas_obj_image_source_get | ( |  | src | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SOURCE_GET), EO_TYPECHECK(Evas_Object **, src)

Since
  1.8

Get the current source object of an image object.

Parameters

  [out] | src | out

See Also
  evas_object_image_source_get

Referenced by evas_object_image_source_get().

#define evas_obj_image_source_visible_set | ( |  | visible | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SOURCE_VISIBLE_SET), EO_TYPECHECK(Eina_Bool, visible)

Since
  1.8

Set the source object to be shown or hidden.

Parameters

  [in] | visible | in

See Also
  evas_object_image_source_visible_set

Referenced by evas_object_image_source_visible_set().

#define evas_obj_image_source_visible_get | ( |  | visible | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SOURCE_VISIBLE_GET), EO_TYPECHECK(Eina_Bool *, visible)

Since
  1.8

Get the state of the source object visibility.

Parameters

  [out] | visible | out

See Also
  evas_object_image_source_visible_get

Referenced by evas_object_image_source_visible_get().

#define evas_obj_image_source_events_set | ( |  | source | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SOURCE_EVENTS_SET), EO_TYPECHECK(Eina_Bool, source)

Since
  1.8

Set events to be repeated to the source object.

Parameters

  [in] | source | in

See Also
  evas_object_image_source_events_set

Referenced by evas_object_image_source_events_set().

#define evas_obj_image_source_events_get | ( |  | source | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SOURCE_EVENTS_GET), EO_TYPECHECK(Eina_Bool *, source)

Since
  1.8

Get the state of the source event.

Parameters

  [out] | source | out

See Also
  evas_object_image_source_event_get

Referenced by evas_object_image_source_events_get().

#define evas_obj_image_source_clip_set | ( |  | source_clip | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SOURCE_CLIP_SET), EO_TYPECHECK(Eina_Bool, source_clip)

Since
  1.8

Apply the source object's clip to the proxy

Parameters

  [in] | source_clip | in

See Also
  evas_object_image_source_clip_set

Referenced by evas_object_image_source_clip_set().

#define evas_obj_image_source_clip_get | ( |  | source_clip | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SOURCE_CLIP_GET), EO_TYPECHECK(Eina_Bool *, source_clip)

Since
  1.8

Get the state of the source clip

Parameters

  [out] | source_clip | out

See Also
  evas_object_image_source_clip_get

Referenced by evas_object_image_source_clip_get().

#define evas_obj_image_border_set | ( |  | l,
|  |  | r,
|  |  | t,
|  |  | b
| ) |  | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_BORDER_SET), EO_TYPECHECK(int, l), EO_TYPECHECK(int, r), EO_TYPECHECK(int, t), EO_TYPECHECK(int, b)

Since
  1.8

Set the dimensions for an image object's border, a region which won't ever be scaled together with its center.

Parameters

  [in] | l | in
  [in] | r | in
  [in] | t | in
  [in] | b | in

See Also
  evas_object_image_border_set

Referenced by evas_object_image_border_set().

#define evas_obj_image_border_get | ( |  | l,
|  |  | r,
|  |  | t,
|  |  | b
| ) |  | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_BORDER_GET), EO_TYPECHECK(int *, l), EO_TYPECHECK(int *, r), EO_TYPECHECK(int *, t), EO_TYPECHECK(int *, b)

Since
  1.8

Retrieve the dimensions for an image object's border, a region which won't ever be scaled together with its center.

Parameters

  [out] | l | in
  [out] | r | in
  [out] | t | in
  [out] | b | in

See Also
  evas_object_image_border_get

Referenced by evas_object_image_border_get().

#define evas_obj_image_border_center_fill_set | ( |  | fill | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_BORDER_CENTER_FILL_SET), EO_TYPECHECK(Evas_Border_Fill_Mode, fill)

Since
  1.8

Sets how the center part of the given image object (not the borders) should be drawn when Evas is rendering it.

Parameters

  [in] | fill | in

See Also
  evas_object_image_border_center_fill_set

Referenced by evas_object_image_border_center_fill_set().

#define evas_obj_image_border_center_fill_get | ( |  | fill | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_BORDER_CENTER_FILL_GET), EO_TYPECHECK(Evas_Border_Fill_Mode *, fill)

Since
  1.8

Retrieves how the center part of the given image object (not the borders) is to be drawn when Evas is rendering it.

Parameters

  [out] | fill | out

See Also
  evas_object_image_border_center_fill_get

Referenced by evas_object_image_border_center_fill_get().

#define evas_obj_image_filled_set | ( |  | filled | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_FILLED_SET), EO_TYPECHECK(Eina_Bool, filled)

Since
  1.8

Set whether the image object's fill property should track the object's size.

Parameters

  [in] | filled | in

See Also
  evas_object_image_filled_set

Referenced by evas_object_image_filled_set().

#define evas_obj_image_filled_get | ( |  | filled | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_FILLED_GET), EO_TYPECHECK(Eina_Bool *, filled)

Since
  1.8

Retrieve whether the image object's fill property should track the object's size.

Parameters

  [out] | filled | out

See Also
  evas_object_image_filled_get

Referenced by evas_object_image_filled_get().

#define evas_obj_image_border_scale_set | ( |  | scale | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_BORDER_SCALE_SET), EO_TYPECHECK(double, scale)

Since
  1.8

Sets the scaling factor (multiplier) for the borders of an image object.

Parameters

  [in] | scale | in

See Also
  evas_object_image_border_scale_set

Referenced by evas_object_image_border_scale_set().

#define evas_obj_image_border_scale_get | ( |  | scale | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_BORDER_SCALE_GET), EO_TYPECHECK(double *, scale)

Since
  1.8

Retrieves the scaling factor (multiplier) for the borders of an image object.

Parameters

  [out] | scale | out

See Also
  evas_object_image_border_scale_get

Referenced by evas_object_image_border_scale_get().

#define evas_obj_image_fill_set | ( |  | x,
|  |  | y,
|  |  | w,
|  |  | h
| ) |  | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_FILL_SET), EO_TYPECHECK(Evas_Coord, x), EO_TYPECHECK(Evas_Coord, y), EO_TYPECHECK(Evas_Coord, w), EO_TYPECHECK(Evas_Coord, h)

Since
  1.8

Set how to fill an image object's drawing rectangle given the (real) image bound to it.

Parameters

  [in] | x | in
  [in] | y | in
  [in] | w | in
  [in] | h | in

See Also
  evas_object_image_fill_set

Referenced by evas_object_image_fill_set().

#define evas_obj_image_fill_get | ( |  | x,
|  |  | y,
|  |  | w,
|  |  | h
| ) |  | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_FILL_GET), EO_TYPECHECK(Evas_Coord *, x), EO_TYPECHECK(Evas_Coord *, y), EO_TYPECHECK(Evas_Coord *, w), EO_TYPECHECK(Evas_Coord *, h)

Since
  1.8

Retrieve how an image object is to fill its drawing rectangle, given the (real) image bound to it.

Parameters

  [out] | x | out
  [out] | y | out
  [out] | w | out
  [out] | h | out

See Also
  evas_object_image_fill_get

Referenced by evas_object_image_fill_get().

#define evas_obj_image_fill_spread_set | ( |  | spread | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_FILL_SPREAD_SET), EO_TYPECHECK(Evas_Fill_Spread, spread)

Since
  1.8

Sets the tiling mode for the given evas image object's fill.

Parameters

  [in] | spread | in

See Also
  evas_object_image_fill_spread_set

Referenced by evas_object_image_fill_spread_set().

#define evas_obj_image_fill_spread_get | ( |  | spread | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_FILL_SPREAD_GET), EO_TYPECHECK(Evas_Fill_Spread *, spread)

Since
  1.8

Retrieves the spread (tiling mode) for the given image object's fill.

Parameters

  [out] | spread | out

See Also
  evas_object_image_fill_spread_get

Referenced by evas_object_image_fill_spread_get().

#define evas_obj_image_size_set | ( |  | w,
|  |  | h
| ) |  | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SIZE_SET), EO_TYPECHECK(int, w), EO_TYPECHECK(int, h)

Since
  1.8

Sets the size of the given image object.

Parameters

  [in] | w | in
  [in] | h | in

See Also
  evas_object_image_size_set

Referenced by evas_object_image_size_set().

#define evas_obj_image_size_get | ( |  | w,
|  |  | h
| ) |  | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SIZE_GET), EO_TYPECHECK(int *, w), EO_TYPECHECK(int *, h)

Since
  1.8

Retrieves the size of the given image object.

Parameters

  [out] | w | out
  [out] | h | out

See Also
  evas_object_image_size_get

Referenced by evas_object_image_size_get().

#define evas_obj_image_stride_get | ( |  | stride | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_STRIDE_GET), EO_TYPECHECK(int *, stride)

Since
  1.8

Retrieves the row stride of the given image object.

Parameters

  [out] | stride | out

See Also
  evas_object_image_stride_get

Referenced by evas_object_image_stride_get().

#define evas_obj_image_load_error_get | ( |  | load_error | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_LOAD_ERROR_GET), EO_TYPECHECK(Evas_Load_Error *, load_error)

Since
  1.8

Retrieves a number representing any error that occurred during the last loading of the given image object's source image.

Parameters

  [out] | load_error |

See Also
  evas_object_image_load_error_get

Referenced by evas_object_image_load_error_get().

#define evas_obj_image_data_convert | ( |  | to_cspace,
|  |  | data
| ) |  | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_DATA_CONVERT), EO_TYPECHECK(Evas_Colorspace, to_cspace), EO_TYPECHECK(void **, data)

Since
  1.8

Converts the raw image data of the given image object to the specified colorspace.

Parameters

  [in] | to_cspace | in
  [out] | data | out

See Also
  evas_object_image_data_convert

Referenced by evas_object_image_data_convert().

#define evas_obj_image_data_set | ( |  | data | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_DATA_SET), EO_TYPECHECK(void *, data)

Since
  1.8

Sets the raw image data of the given image object.

Parameters

  [in] | data | in

See Also
  evas_object_image_data_set

Referenced by evas_object_image_data_set().

#define evas_obj_image_data_get | ( |  | for_writing,
|  |  | data
| ) |  | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_DATA_GET), EO_TYPECHECK(Eina_Bool, for_writing), EO_TYPECHECK(void **, data)

Since
  1.8

Get a pointer to the raw image data of the given image object.

Parameters

  [in] | for_writing | in
  [out] | data | out

See Also
  evas_object_image_data_get

Referenced by evas_object_image_data_get().

#define evas_obj_image_data_copy_set | ( |  | data | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_DATA_COPY_SET), EO_TYPECHECK(void *, data)

Since
  1.8

Replaces the raw image data of the given image object.

Parameters

  [in] | data | in

See Also
  evas_object_image_data_copy_set

Referenced by evas_object_image_data_copy_set().

#define evas_obj_image_data_update_add | ( |  | x,
|  |  | y,
|  |  | w,
|  |  | h
| ) |  | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_DATA_UPDATE_ADD), EO_TYPECHECK(int, x), EO_TYPECHECK(int, y), EO_TYPECHECK(int, w), EO_TYPECHECK(int, h)

Since
  1.8

Mark a sub-region of the given image object to be redrawn.

Parameters

  [in] | x | in
  [in] | y | in
  [in] | w | in
  [in] | h | in

See Also
  evas_object_image_data_update_add

Referenced by evas_object_image_data_update_add().

#define evas_obj_image_alpha_set | ( |  | alpha | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_ALPHA_SET), EO_TYPECHECK(Eina_Bool, alpha)

Since
  1.8

Enable or disable alpha channel usage on the given image object.

Parameters

  [in] | alpha | in

See Also
  evas_object_image_alpha_set

Referenced by evas_object_image_alpha_set().

#define evas_obj_image_alpha_get | ( |  | alpha | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_ALPHA_GET), EO_TYPECHECK(Eina_Bool *, alpha)

Since
  1.8

Retrieve whether alpha channel data is being used on the given image object.

Parameters

  [out] | alpha | out

See Also
  evas_object_image_alpha_get

Referenced by evas_object_image_alpha_get().

#define evas_obj_image_smooth_scale_set | ( |  | smooth_scale | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SMOOTH_SCALE_SET), EO_TYPECHECK(Eina_Bool, smooth_scale)

Since
  1.8

Sets whether to use high-quality image scaling algorithm on the given image object.

Parameters

  [in] | smooth_scale | in

See Also
  evas_object_image_smooth_scale_set

Referenced by evas_object_image_smooth_scale_set().

#define evas_obj_image_smooth_scale_get | ( |  | smooth_scale | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SMOOTH_SCALE_GET), EO_TYPECHECK(Eina_Bool *, smooth_scale)

Since
  1.8

Retrieves whether the given image object is using high-quality image scaling algorithm.

Parameters

  [out] | smooth_scale | out

See Also
  evas_object_image_smooth_scale_get

Referenced by evas_object_image_smooth_scale_get().

#define evas_obj_image_preload_begin | ( |  | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_PRELOAD_BEGIN)

Since
  1.8

Begin preloading an image object's image data in the background

See Also
  evas_object_image_preload

Referenced by evas_object_image_preload().

#define evas_obj_image_preload_cancel | ( |  | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_PRELOAD_CANCEL)

Since
  1.8

Cancel preloading an image object's image data in the background

See Also
  evas_object_image_preload

Referenced by evas_object_image_preload().

#define evas_obj_image_reload | ( |  | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_RELOAD)

Since
  1.8

Reload an image object's image data.

See Also
  evas_object_image_reload

Referenced by evas_object_image_reload().

#define evas_obj_image_save | ( |  | file,
|  |  | key,
|  |  | flags,
|  |  | result
| ) |  | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SAVE), EO_TYPECHECK(const char *, file), EO_TYPECHECK(const char *, key), EO_TYPECHECK(const char *, flags), EO_TYPECHECK(Eina_Bool *, result)

Since
  1.8

Save the given image object's contents to an (image) file.

Parameters

  [in] | file | in
  [in] | key | in
  [in] | flags | in
  [out] | result | out

See Also
  evas_object_image_save

Referenced by evas_object_image_save().

#define evas_obj_image_pixels_import | ( |  | pixels,
|  |  | result
| ) |  | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_PIXELS_IMPORT), EO_TYPECHECK(Evas_Pixel_Import_Source *, pixels), EO_TYPECHECK(Eina_Bool *, result)

Since
  1.8

Import pixels from given source to a given canvas image object.

Parameters

  [in] | pixels | in
  [out] | result | out

See Also
  evas_object_image_pixels_import

Referenced by evas_object_image_pixels_import().

#define evas_obj_image_pixels_get_callback_set | ( |  | func,
|  |  | data
| ) |  | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_PIXELS_GET_CALLBACK_SET), EO_TYPECHECK(Evas_Object_Image_Pixels_Get_Cb, func), EO_TYPECHECK(void *, data)

Since
  1.8

Set the callback function to get pixels from a canvas' image.

Parameters

  [in] | func | in
  [in] | data | in

See Also
  evas_object_image_pixels_get_callback_set

Referenced by evas_object_image_pixels_get_callback_set().

#define evas_obj_image_pixels_dirty_set | ( |  | dirty | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_PIXELS_DIRTY_SET), EO_TYPECHECK(Eina_Bool, dirty)

Since
  1.8

Mark whether the given image object is dirty (needs to be redrawn).

Parameters

  [in] | dirty | in

See Also
  evas_object_image_pixels_get_callback_set

Referenced by evas_object_image_pixels_dirty_set().

#define evas_obj_image_pixels_dirty_get | ( |  | dirty | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_PIXELS_DIRTY_GET), EO_TYPECHECK(Eina_Bool *, dirty)

Since
  1.8

Retrieves whether the given image object is dirty (needs to be redrawn).

Parameters

  [out] | dirty | out

See Also
  evas_object_image_pixels_dirty_get

Referenced by evas_object_image_pixels_dirty_get().

#define evas_obj_image_load_dpi_set | ( |  | dpi | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_LOAD_DPI_SET), EO_TYPECHECK(double, dpi)

Since
  1.8

Set the DPI resolution of an image object's source image.

Parameters

  [in] | dpi | in

See Also
  evas_object_image_load_dpi_set

Referenced by evas_object_image_load_dpi_set().

#define evas_obj_image_load_dpi_get | ( |  | dpi | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_LOAD_DPI_GET), EO_TYPECHECK(double *, dpi)

Since
  1.8

Get the DPI resolution of a loaded image object in the canvas.

Parameters

  [out] | dpi | out

See Also
  evas_object_image_load_dpi_get

Referenced by evas_object_image_load_dpi_get().

#define evas_obj_image_load_size_set | ( |  | w,
|  |  | h
| ) |  | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_LOAD_SIZE_SET), EO_TYPECHECK(int, w), EO_TYPECHECK(int, h)

Since
  1.8

Set the size of a given image object's source image, when loading it.

Parameters

  [in] | w | in
  [in] | h | in

See Also
  evas_object_image_load_size_set

Referenced by evas_object_image_load_size_set().

#define evas_obj_image_load_size_get | ( |  | w,
|  |  | h
| ) |  | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_LOAD_SIZE_GET), EO_TYPECHECK(int *, w), EO_TYPECHECK(int *, h)

Since
  1.8

Get the size of a given image object's source image, when loading it.

Parameters

  [out] | w | out
  [out] | h | out

See Also
  evas_object_image_load_size_get

Referenced by evas_object_image_load_size_get().

#define evas_obj_image_load_scale_down_set | ( |  | scale_down | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_LOAD_SCALE_DOWN_SET), EO_TYPECHECK(int, scale_down)

Since
  1.8

Set the scale down factor of a given image object's source image, when loading it.

Parameters

  [in] | scale_down | in

See Also
  evas_object_image_load_scale_down_set

Referenced by evas_object_image_load_scale_down_set().

#define evas_obj_image_load_scale_down_get | ( |  | scale_down | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_LOAD_SCALE_DOWN_GET), EO_TYPECHECK(int *, scale_down)

Since
  1.8

Get the scale down factor of a given image object's source image, when loading it.

Parameters

  [out] | scale_down | out

See Also
  evas_object_image_load_scale_down_get

Referenced by evas_object_image_load_scale_down_get().

#define evas_obj_image_load_region_set | ( |  | x,
|  |  | y,
|  |  | w,
|  |  | h
| ) |  | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_LOAD_REGION_SET), EO_TYPECHECK(int, x), EO_TYPECHECK(int, y), EO_TYPECHECK(int, w), EO_TYPECHECK(int, h)

Since
  1.8

Inform a given image object to load a selective region of its source image.

Parameters

  [in] | x | in
  [in] | y | in
  [in] | w | in
  [in] | h | in

See Also
  evas_object_image_load_region_set

Referenced by evas_object_image_load_region_set().

#define evas_obj_image_load_region_get | ( |  | x,
|  |  | y,
|  |  | w,
|  |  | h
| ) |  | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_LOAD_REGION_GET), EO_TYPECHECK(int *, x), EO_TYPECHECK(int *, y), EO_TYPECHECK(int *, w), EO_TYPECHECK(int *, h)

Since
  1.8

Retrieve the coordinates of a given image object's selective (source image) load region.

Parameters

  [out] | x | out
  [out] | y | out
  [out] | w | out
  [out] | h | out

See Also
  evas_object_image_load_region_get

Referenced by evas_object_image_load_region_get().

#define evas_obj_image_load_orientation_set | ( |  | enable | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_LOAD_ORIENTATION_SET), EO_TYPECHECK(Eina_Bool, enable)

Since
  1.8

Define if the orientation information in the image file should be honored.

Parameters

  [in] | enable | in

See Also
  evas_object_image_load_orientation_set

Referenced by evas_object_image_load_orientation_set().

#define evas_obj_image_load_orientation_get | ( |  | enable | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_LOAD_ORIENTATION_GET), EO_TYPECHECK(Eina_Bool *, enable)

Since
  1.8

Get if the orientation information in the image file should be honored.

Parameters

  [out] | enable | out

See Also
  evas_object_image_load_orientation_get

Referenced by evas_object_image_load_orientation_get().

#define evas_obj_image_colorspace_set | ( |  | cspace | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_COLORSPACE_SET), EO_TYPECHECK(Evas_Colorspace, cspace)

Since
  1.8

Set the colorspace of a given image of the canvas.

Parameters

  [in] | cspace | in

See Also
  evas_object_image_colorspace_set

Referenced by evas_object_image_colorspace_set().

#define evas_obj_image_colorspace_get | ( |  | cspace | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_COLORSPACE_GET), EO_TYPECHECK(Evas_Colorspace *, cspace)

Since
  1.8

Get the colorspace of a given image of the canvas.

Parameters

  [out] | cspace | out

See Also
  evas_object_image_colorspace_get

Referenced by evas_object_image_colorspace_get().

#define evas_obj_image_video_surface_set | ( |  | surf | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_VIDEO_SURFACE_SET), EO_TYPECHECK(Evas_Video_Surface *, surf)

Since
  1.8

Set the video surface linked to a given image of the canvas

Parameters

  [in] | surf | in

See Also
  evas_object_image_video_surface_set

Referenced by evas_object_image_video_surface_set().

#define evas_obj_image_video_surface_get | ( |  | surf | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_VIDEO_SURFACE_GET), EO_TYPECHECK(const Evas_Video_Surface **, surf)

Since
  1.8

Get the video surface linked to a given image of the canvas

Parameters

  [out] | surf | out

See Also
  evas_object_image_video_surface_get

Referenced by evas_object_image_video_surface_get().

#define evas_obj_image_video_surface_caps_set | ( |  | caps | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_VIDEO_SURFACE_CAPS_SET), EO_TYPECHECK(unsigned int, caps)

Since
  1.8

Set the video surface capabilities to a given image of the canvas

Parameters

  [in] | caps | in

See Also
  evas_object_image_video_surface_caps_set

#define evas_obj_image_video_surface_caps_get | ( |  | caps | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_VIDEO_SURFACE_CAPS_GET), EO_TYPECHECK(unsigned int *, caps)

Since
  1.8

Get the video surface capabilities to a given image of the canvas

Parameters

  [out] | caps | out

See Also
  evas_object_image_video_surface_caps_get

#define evas_obj_image_native_surface_set | ( |  | surf | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_NATIVE_SURFACE_SET), EO_TYPECHECK(Evas_Native_Surface *, surf)

Since
  1.8

Set the native surface of a given image of the canvas

Parameters

  [in] | surf | in

See Also
  evas_object_image_native_surface_set

Referenced by evas_object_image_native_surface_set().

#define evas_obj_image_native_surface_get | ( |  | surf | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_NATIVE_SURFACE_GET), EO_TYPECHECK(Evas_Native_Surface **, surf)

Since
  1.8

Get the native surface of a given image of the canvas

Parameters

  [out] | surf | out

See Also
  evas_object_image_native_surface_get

Referenced by evas_object_image_native_surface_get().

#define evas_obj_image_scale_hint_set | ( |  | hint | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SCALE_HINT_SET), EO_TYPECHECK(Evas_Image_Scale_Hint, hint)

Since
  1.8

Set the scale hint of a given image of the canvas.

Parameters

  [in] | hint | in

See Also
  evas_object_image_scale_hint_set

Referenced by evas_object_image_scale_hint_set().

#define evas_obj_image_scale_hint_get | ( |  | hint | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_SCALE_HINT_GET), EO_TYPECHECK(Evas_Image_Scale_Hint *, hint)

Since
  1.8

Get the scale hint of a given image of the canvas.

Parameters

  [out] | hint | out

See Also
  evas_object_image_scale_hint_get

Referenced by evas_object_image_scale_hint_get().

#define evas_obj_image_content_hint_set | ( |  | hint | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_CONTENT_HINT_SET), EO_TYPECHECK(Evas_Image_Content_Hint, hint)

Since
  1.8

Set the content hint setting of a given image object of the canvas.

Parameters

  [in] | hint | in

See Also
  evas_object_image_content_hint_set

Referenced by evas_object_image_content_hint_set().

#define evas_obj_image_content_hint_get | ( |  | hint | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_CONTENT_HINT_GET), EO_TYPECHECK(Evas_Image_Content_Hint *, hint)

Since
  1.8

Get the content hint setting of a given image object of the canvas.

Parameters

  [out] | hint | out

See Also
  evas_object_image_content_hint_get

Referenced by evas_object_image_content_hint_get().

#define evas_obj_image_region_support_get | ( |  | region | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_REGION_SUPPORT_GET), EO_TYPECHECK(Eina_Bool *, region)

Since
  1.8

Get the support state of a given image

Parameters

  [out] | region | out

See Also
  evas_object_image_region_support_get

Referenced by evas_object_image_region_support_get().

#define evas_obj_image_animated_get | ( |  | animated | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_ANIMATED_GET), EO_TYPECHECK(Eina_Bool *, animated)

Since
  1.8

Check if an image object can be animated (have multiple frames)

Parameters

  [out] | animated | out

See Also
  evas_object_image_animated_get

Referenced by evas_object_image_animated_get().

#define evas_obj_image_animated_frame_count_get | ( |  | frame_count | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_ANIMATED_FRAME_COUNT_GET), EO_TYPECHECK(int *, frame_count)

Since
  1.8

Get the total number of frames of the image object.

Parameters

  [out] | frame_count | out

See Also
  evas_object_image_animated_frame_count_get

Referenced by evas_object_image_animated_frame_count_get().

#define evas_obj_image_animated_loop_type_get | ( |  | hint | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_ANIMATED_LOOP_TYPE_GET), EO_TYPECHECK(Evas_Image_Animated_Loop_Hint *, hint)

Since
  1.8

Get the kind of looping the image object does.

Parameters

  [out] | hint | out

See Also
  evas_object_image_animated_loop_type_get

Referenced by evas_object_image_animated_loop_type_get().

#define evas_obj_image_animated_loop_count_get | ( |  | loop_count | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_ANIMATED_LOOP_COUNT_GET), EO_TYPECHECK(int *, loop_count)

Since
  1.8

Get the number times the animation of the object loops.

Parameters

  [out] | loop_count | out

See Also
  evas_object_image_animated_loop_count_get

Referenced by evas_object_image_animated_loop_count_get().

#define evas_obj_image_animated_frame_duration_get | ( |  | start_frame,
|  |  | frame_num,
|  |  | frame_duration
| ) |  | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_ANIMATED_FRAME_DURATION_GET), EO_TYPECHECK(int, start_frame), EO_TYPECHECK(int, frame_num), EO_TYPECHECK(double *, frame_duration)

Since
  1.8

Get the duration of a sequence of frames.

Parameters

  [in] | start_frame | in
  [in] | frame_num | in
  [out] | frame_duration | out

See Also
  evas_object_image_animated_frame_duration_get

Referenced by evas_object_image_animated_frame_duration_get().

#define evas_obj_image_animated_frame_set | ( |  | frame_index | ) | EVAS_OBJ_IMAGE_ID(EVAS_OBJ_IMAGE_SUB_ID_ANIMATED_FRAME_SET), EO_TYPECHECK(int, frame_index)

Since
  1.8

Set the frame to current frame of an image object

Parameters

  [in] | frame_index | in

See Also
  evas_object_image_animated_frame_set

Referenced by evas_object_image_animated_frame_set().

## Typedef Documentation

typedef enum _Evas_Colorspace Evas_Colorspace

Colorspaces for pixel data supported by Evas.

Colorspaces for pixel data supported by Evas

## Enumeration Type Documentation

enum _Evas_Colorspace

Colorspaces for pixel data supported by Evas.

Enumerator
EVAS_COLORSPACE_ARGB8888 | ARGB 32 bits per pixel, high-byte is Alpha, accessed 1 32bit word at a time.
EVAS_COLORSPACE_YCBCR422P601_PL | YCbCr 4:2:2 Planar, ITU.BT-601 specifications. The data pointed to is just an array of row pointer, pointing to the Y rows, then the Cb, then Cr rows
EVAS_COLORSPACE_YCBCR422P709_PL | YCbCr 4:2:2 Planar, ITU.BT-709 specifications. The data pointed to is just an array of row pointer, pointing to the Y rows, then the Cb, then Cr rows
EVAS_COLORSPACE_RGB565_A5P | 16bit rgb565 + Alpha plane at end - 5 bits of the 8 being used per alpha byte
EVAS_COLORSPACE_GRY8 | 8bit grayscale
EVAS_COLORSPACE_YCBCR422601_PL | YCbCr 4:2:2, ITU.BT-601 specifications. The data pointed to is just an array of row pointer, pointing to line of Y,Cb,Y,Cr bytes
EVAS_COLORSPACE_YCBCR420NV12601_PL | YCbCr 4:2:0, ITU.BT-601 specification. The data pointed to is just an array of row pointer, pointing to the Y rows, then the Cb,Cr rows.
EVAS_COLORSPACE_YCBCR420TM12601_PL | YCbCr 4:2:0, ITU.BT-601 specification. The data pointed to is just an array of tiled row pointer, pointing to the Y rows, then the Cb,Cr rows.

## Function Documentation

Eina_Bool evas_object_image_extension_can_load_get | ( | const char * | file | ) |

Check if a file extension may be supported by Image Object Functions.

Parameters

  file | The file to check

Returns
  `EINA_TRUE` if we may be able to open it, `EINA_FALSE` if it's unlikely.

Since
  1.1

If file is a Eina_Stringshare, use directly evas_object_image_extension_can_load_fast_get.

This functions is threadsafe.

References eina_stringshare_add(), and eina_stringshare_del().

Eina_Bool evas_object_image_extension_can_load_fast_get | ( | const char * | file | ) |

Check if a file extension may be supported by Image Object Functions.

Parameters

  file | The file to check, it should be an Eina_Stringshare.

Returns
  `EINA_TRUE` if we may be able to open it, `EINA_FALSE` if it's unlikely.

Since
  1.1

This functions is threadsafe.

Evas_Object* evas_object_image_add | ( | Evas * | e | ) |

Creates a new image object on the given Evas `e` canvas.

Parameters

  e | The given canvas.

Returns
  The created image object handle.

Note
  If you intend to display an image somehow in a GUI, besides binding it to a real image file/source (with evas_object_image_file_set(), for example), you'll have to tell this image object how to fill its space with the pixels it can get from the source. See evas_object_image_filled_add(), for a helper on the common case of scaling up an image source to the whole area of the image object.

See Also
  evas_object_image_fill_set()

Example:

img = evas_object_image_add(canvas);
evas_object_image_file_set(img, "/path/to/img", NULL);

Referenced by ecore_evas_cursor_set(), ecore_evas_ews_new(), ecore_evas_object_image_new(), and evas_object_image_filled_add().

Evas_Object* evas_object_image_filled_add | ( | Evas * | e | ) |

Creates a new image object that automatically scales its bound image to the object's area, on both axis.

Parameters

  e | The given canvas.

Returns
  The created image object handle.

This is a helper function around evas_object_image_add() and evas_object_image_filled_set(). It has the same effect of applying those functions in sequence, which is a very common use case.

Note
  Whenever this object gets resized, the bound image will be rescaled, too.

See Also
  evas_object_image_add()
  evas_object_image_filled_set()
  evas_object_image_fill_set()

Examples:
  ecore_evas_buffer_example_02.c, edje-basic.c, edje-signals-messages.c, ephysics_logo.c, evas-aspect-hints.c, evas-box.c, evas-events.c, evas-hints.c, evas-images.c, evas-images2.c, evas-map-utils.c, evas-object-manipulation.c, evas-smart-interface.c, evas-smart-object.c, and evas-text.c.

References evas_object_image_add(), and evas_object_image_filled_set().

void evas_object_image_memfile_set | ( | Evas_Object * | obj,
|  | void * | data,
|  | int | size,
|  | char * | format,
|  | char * | key
| ) |  |

Sets the data for an image from memory to be loaded.

This is the same as evas_object_image_file_set() but the file to be loaded may exist at an address in memory (the data for the file, not the filename itself). The `data` at the address is copied and stored for future use, so no `data` needs to be kept after this call is made. It will be managed and freed for you when no longer needed. The `size` is limited to 2 gigabytes in size, and must be greater than 0. A `NULL` `data` pointer is also invalid. Set the filename to `NULL` to reset to empty state and have the image file data freed from memory using evas_object_image_file_set().

The `format` is optional (pass `NULL` if you don't need/use it). It is used to help Evas guess better which loader to use for the data. It may simply be the "extension" of the file as it would normally be on disk such as "jpg" or "png" or "gif" etc.

Parameters

  obj | The given image object.
  data | The image file data address
  size | The size of the image file data in bytes
  format | The format of the file (optional), or `NULL` if not needed
  key | The image key in file, or `NULL`.

References eina_file_close(), eina_file_virtualize(), EINA_TRUE, and evas_obj_image_mmap_set.

void evas_object_image_file_set | ( | Evas_Object * | obj,
|  | const char * | file,
|  | const char * | key
| ) |  |

Set the source file from where an image object must fetch the real image data (it may be an Eet file, besides pure image ones).

Parameters

  obj | The given image object.
  file | The image file path.
  key | The image key in `file` (if its an Eet one), or `NULL`, otherwise.

If the file supports multiple data stored in it (as Eet files do), you can specify the key to be used as the index of the image in this file.

Example:

img = evas_object_image_add(canvas);
evas_object_image_file_set(img, "/path/to/img", NULL);
err = evas_object_image_load_error_get(img);
if (err != EVAS_LOAD_ERROR_NONE)
{
fprintf(stderr, "could not load image '%s'. error string is \"%s\"\n",
valid_path, evas_load_error_str(err));
}
else
{
evas_object_image_fill_set(img, 0, 0, w, h);
evas_object_resize(img, w, h);
evas_object_show(img);
}

Examples:
  ecore_evas_buffer_example_02.c, edje-basic.c, edje-signals-messages.c, ephysics_logo.c, evas-aspect-hints.c, evas-box.c, evas-events.c, evas-hints.c, evas-images.c, evas-images2.c, evas-map-utils.c, evas-object-manipulation.c, evas-smart-interface.c, evas-smart-object.c, and evas-text.c.

References evas_obj_image_file_set.

Referenced by ecore_evas_cursor_set().

void evas_object_image_mmap_set | ( | Evas_Object * | obj,
|  | const Eina_File * | f,
|  | const char * | key
| ) |  |

Set the source mmaped file from where an image object must fetch the real image data (it must be an Eina_File).

Parameters

  obj | The given image object.
  f | The mmaped file
  key | The image key in `file` (if its an Eet one), or `NULL`, otherwise.

If the file supports multiple data stored in it (as Eet files do), you can specify the key to be used as the index of the image in this file.

Since
  1.8

References evas_obj_image_mmap_set.

void evas_object_image_file_get | ( | const Evas_Object * | obj,
|  | const char ** | file,
|  | const char ** | key
| ) |  |

Retrieve the source file from where an image object is to fetch the real image data (it may be an Eet file, besides pure image ones).

Parameters

  obj | The given image object.
  file | Location to store the image file path.
  key | Location to store the image key (if `file` is an Eet one).

You must not modify the strings on the returned pointers.

Note
  Use `NULL` pointers on the file components you're not interested in: they'll be ignored by the function.

References evas_obj_image_file_get.

void evas_object_image_border_set | ( | Evas_Object * | obj,
|  | int | l,
|  | int | r,
|  | int | t,
|  | int | b
| ) |  |

Set the dimensions for an image object's border, a region which won't ever be scaled together with its center.

Parameters

  obj | The given image object.
  l | The border's left width.
  r | The border's right width.
  t | The border's top width.
  b | The border's bottom width.

When Evas is rendering, an image source may be scaled to fit the size of its image object. This function sets an area from the borders of the image inwards which is not to be scaled. This function is useful for making frames and for widget theming, where, for example, buttons may be of varying sizes, but their border size must remain constant.

The units used for `l`, `r`, `t` and `b` are canvas units.

Note
  The border region itself may be scaled by the evas_object_image_border_scale_set() function.
  By default, image objects have no borders set, i. e. `l`, `r`, `t` and `b` start as `0`.

See the following figures for visual explanation:
Full-size Full-size

See Also
  evas_object_image_border_get()
  evas_object_image_border_center_fill_set()

Examples:
  ecore_evas_buffer_example_02.c, edje-basic.c, edje-signals-messages.c, evas-aspect-hints.c, evas-box.c, evas-hints.c, evas-images.c, evas-object-manipulation.c, evas-smart-interface.c, evas-smart-object.c, and evas-text.c.

References evas_obj_image_border_set.

void evas_object_image_border_get | ( | const Evas_Object * | obj,
|  | int * | l,
|  | int * | r,
|  | int * | t,
|  | int * | b
| ) |  |

Retrieve the dimensions for an image object's border, a region which won't ever be scaled together with its center.

Parameters

  obj | The given image object.
  l | Location to store the border's left width in.
  r | Location to store the border's right width in.
  t | Location to store the border's top width in.
  b | Location to store the border's bottom width in.

Note
  Use `NULL` pointers on the border components you're not interested in: they'll be ignored by the function.

See evas_object_image_border_set() for more details.

Examples:
  evas-images.c.

References evas_obj_image_border_get.

void evas_object_image_border_center_fill_set | ( | Evas_Object * | obj,
|  | Evas_Border_Fill_Mode | fill
| ) |  |

Sets how the center part of the given image object (not the borders) should be drawn when Evas is rendering it.

Parameters

  obj | The given image object.
  fill | Fill mode of the center region of `obj` (a value in Evas_Border_Fill_Mode).

This function sets how the center part of the image object's source image is to be drawn, which must be one of the values in Evas_Border_Fill_Mode. By center we mean the complementary part of that defined by evas_object_image_border_set(). This one is very useful for making frames and decorations. You would most probably also be using a filled image (as in evas_object_image_filled_set()) to use as a frame.

See Also
  evas_object_image_border_center_fill_get()

Examples:
  ecore_evas_buffer_example_02.c, edje-basic.c, edje-signals-messages.c, evas-aspect-hints.c, evas-box.c, evas-hints.c, evas-images.c, evas-object-manipulation.c, evas-smart-interface.c, evas-smart-object.c, and evas-text.c.

References evas_obj_image_border_center_fill_set.

Evas_Border_Fill_Mode evas_object_image_border_center_fill_get | ( | const Evas_Object * | obj | ) |

Retrieves how the center part of the given image object (not the borders) is to be drawn when Evas is rendering it.

Parameters

  obj | The given image object.

Returns
  fill Fill mode of the center region of `obj` (a value in Evas_Border_Fill_Mode).

See evas_object_image_fill_set() for more details.

Examples:
  evas-images.c.

References evas_obj_image_border_center_fill_get.

void evas_object_image_filled_set | ( | Evas_Object * | obj,
|  | Eina_Bool | setting
| ) |  |

Set whether the image object's fill property should track the object's size.

Parameters

  obj | The given image object.
  setting | `EINA_TRUE`, to make the fill property follow object size or `EINA_FALSE`, otherwise.

If `setting` is `EINA_TRUE`, then every evas_object_resize() will automatically trigger a call to evas_object_image_fill_set() with the that new size (and `0`, `0` as source image's origin), so the bound image will fill the whole object's area.

See Also
  evas_object_image_filled_add()
  evas_object_image_fill_get()

Examples:
  ecore_evas_buffer_example_02.c, evas-images.c, and evas-images2.c.

References evas_obj_image_filled_set.

Referenced by evas_object_image_filled_add().

Eina_Bool evas_object_image_filled_get | ( | const Evas_Object * | obj | ) |

Retrieve whether the image object's fill property should track the object's size.

Parameters

  obj | The given image object.

Returns
  `EINA_TRUE` if it is tracking, `EINA_FALSE`, if not (and evas_object_fill_set() must be called manually).

See Also
  evas_object_image_filled_set() for more information

Examples:
  evas-images.c.

References EINA_FALSE, and evas_obj_image_filled_get.

void evas_object_image_border_scale_set | ( | Evas_Object * | obj,
|  | double | scale
| ) |  |

Sets the scaling factor (multiplier) for the borders of an image object.

Parameters

  obj | The given image object.
  scale | The scale factor (default is `1.0` - i.e. no scaling)

See Also
  evas_object_image_border_set()
  evas_object_image_border_scale_get()

Examples:
  evas-images.c.

References evas_obj_image_border_scale_set.

double evas_object_image_border_scale_get | ( | const Evas_Object * | obj | ) |

Retrieves the scaling factor (multiplier) for the borders of an image object.

Parameters

  obj | The given image object.

Returns
  The scale factor set for its borders

See Also
  evas_object_image_border_set()
  evas_object_image_border_scale_set()

Examples:
  evas-images.c.

References evas_obj_image_border_scale_get.

void evas_object_image_fill_set | ( | Evas_Object * | obj,
|  | Evas_Coord | x,
|  | Evas_Coord | y,
|  | Evas_Coord | w,
|  | Evas_Coord | h
| ) |  |

Set how to fill an image object's drawing rectangle given the (real) image bound to it.

Parameters

  obj | The given image object to operate on.
  x | The x coordinate (from the top left corner of the bound image) to start drawing from.
  y | The y coordinate (from the top left corner of the bound image) to start drawing from.
  w | The width the bound image will be displayed at.
  h | The height the bound image will be displayed at.

Note that if `w` or `h` are smaller than the dimensions of `obj`, the displayed image will be tiled around the object's area. To have only one copy of the bound image drawn, `x` and `y` must be 0 and `w` and `h` need to be the exact width and height of the image object itself, respectively.

See the following image to better understand the effects of this call. On this diagram, both image object and original image source have `a` x `a` dimensions and the image itself is a circle, with empty space around it:

Warning
  The default values for the fill parameters are `x` = 0, `y` = 0, `w` = 0 and `h` = 0. Thus, if you're not using the evas_object_image_filled_add() helper and want your image displayed, you'll have to set valid values with this function on your object.

Note
  evas_object_image_filled_set() is a helper function which will override the values set here automatically, for you, in a given way.

Examples:
  evas-images.c.

References evas_obj_image_fill_set.

Referenced by ecore_evas_cursor_set(), and ecore_evas_ews_new().

void evas_object_image_fill_get | ( | const Evas_Object * | obj,
|  | Evas_Coord * | x,
|  | Evas_Coord * | y,
|  | Evas_Coord * | w,
|  | Evas_Coord * | h
| ) |  |

Retrieve how an image object is to fill its drawing rectangle, given the (real) image bound to it.

Parameters

  obj | The given image object.
  x | Location to store the x coordinate (from the top left corner of the bound image) to start drawing from.
  y | Location to store the y coordinate (from the top left corner of the bound image) to start drawing from.
  w | Location to store the width the bound image is to be displayed at.
  h | Location to store the height the bound image is to be displayed at.

Note
  Use `NULL` pointers on the fill components you're not interested in: they'll be ignored by the function.

See evas_object_image_fill_set() for more details.

Examples:
  evas-images.c.

References evas_obj_image_fill_get.

void evas_object_image_fill_spread_set | ( | Evas_Object * | obj,
|  | Evas_Fill_Spread | spread
| ) |  |

Sets the tiling mode for the given evas image object's fill.

Parameters

  obj | The given evas image object.
  spread | One of EVAS_TEXTURE_REFLECT, EVAS_TEXTURE_REPEAT, EVAS_TEXTURE_RESTRICT, or EVAS_TEXTURE_PAD.

References evas_obj_image_fill_spread_set.

Evas_Fill_Spread evas_object_image_fill_spread_get | ( | const Evas_Object * | obj | ) |

Retrieves the spread (tiling mode) for the given image object's fill.

Parameters

  obj | The given evas image object.

Returns
  The current spread mode of the image object.

References evas_obj_image_fill_spread_get, and EVAS_TEXTURE_REPEAT.

void evas_object_image_size_set | ( | Evas_Object * | obj,
|  | int | w,
|  | int | h
| ) |  |

Sets the size of the given image object.

Parameters

  obj | The given image object.
  w | The new width of the image.
  h | The new height of the image.

This function will scale down or crop the image so that it is treated as if it were at the given size. If the size given is smaller than the image, it will be cropped. If the size given is larger, then the image will be treated as if it were in the upper left hand corner of a larger image that is otherwise transparent.

Examples:
  ecore_evas_buffer_example_02.c, and evas-images2.c.

References evas_obj_image_size_set.

Referenced by ecore_evas_ews_new(), ecore_evas_object_image_new(), and emotion_object_file_set().

void evas_object_image_size_get | ( | const Evas_Object * | obj,
|  | int * | w,
|  | int * | h
| ) |  |

Retrieves the size of the given image object.

Parameters

  obj | The given image object.
  w | Location to store the width of the image in, or `NULL`.
  h | Location to store the height of the image in, or `NULL`.

See evas_object_image_size_set() for more details.

Examples:
  ephysics_logo.c, and evas-map-utils.c.

References evas_obj_image_size_get.

Referenced by ecore_evas_cursor_set().

int evas_object_image_stride_get | ( | const Evas_Object * | obj | ) |

Retrieves the row stride of the given image object.

Parameters

  obj | The given image object.

Returns
  The stride of the image (in bytes).

The row stride is the number of bytes between the start of a row and the start of the next row for image data.

Examples:
  evas-images2.c.

References evas_obj_image_stride_get.

Referenced by ecore_evas_ews_new(), and ecore_evas_object_image_new().

Evas_Load_Error evas_object_image_load_error_get | ( | const Evas_Object * | obj | ) |

Retrieves a number representing any error that occurred during the last loading of the given image object's source image.

Parameters

  obj | The given image object.

Returns
  A value giving the last error that occurred. It should be one of the #Evas_Load_Error values. #EVAS_LOAD_ERROR_NONE is returned if there was no error.

Examples:
  evas-events.c, evas-images.c, and evas-object-manipulation.c.

References evas_obj_image_load_error_get.

void evas_object_image_data_set | ( | Evas_Object * | obj,
|  | void * | data
| ) |  |

Sets the raw image data of the given image object.

Parameters

  obj | The given image object.
  data | The raw data, or `NULL`.

Note that the raw data must be of the same size (see evas_object_image_size_set(), which has to be called before this one) and colorspace (see evas_object_image_colorspace_set()) of the image. If data is `NULL`, the current image data will be freed. Naturally, if one does not set an image object's data manually, it will still have one, allocated by Evas.

See Also
  evas_object_image_data_get()

Examples:
  evas-images2.c.

References evas_obj_image_data_set.

Referenced by ecore_evas_ews_new(), ecore_evas_object_image_new(), and emotion_object_file_set().

void* evas_object_image_data_get | ( | const Evas_Object * | obj,
|  | Eina_Bool | for_writing
| ) |  |

Get a pointer to the raw image data of the given image object.

Parameters

  obj | The given image object.
  for_writing | Whether the data being retrieved will be modified (`EINA_TRUE`) or not (`EINA_FALSE`).

Returns
  The raw image data.

This function returns a pointer to an image object's internal pixel buffer, for reading only or read/write. If you request it for writing, the image will be marked dirty so that it gets redrawn at the next update.

Each time you call this function on an image object, its data buffer will have an internal reference counter incremented. Decrement it back by using evas_object_image_data_set().

This is best suited for when you want to modify an existing image, without changing its dimensions.

Note
  The contents' format returned by it depend on the color space of the given image object.
  You may want to use evas_object_image_data_update_add() to inform data changes, if you did any.

See Also
  evas_object_image_data_set()

References evas_obj_image_data_get.

Referenced by ecore_evas_ews_new(), and ecore_evas_object_image_new().

void* evas_object_image_data_convert | ( | Evas_Object * | obj,
|  | Evas_Colorspace | to_cspace
| ) |  |

Converts the raw image data of the given image object to the specified colorspace.

Note that this function does not modify the raw image data. If the requested colorspace is the same as the image colorspace nothing is done and `NULL` is returned. You should use evas_object_image_colorspace_get() to check the current image colorspace.

See evas_object_image_colorspace_get.

Parameters

  obj | The given image object.
  to_cspace | The colorspace to which the image raw data will be converted.

Returns
  data A newly allocated data in the format specified by to_cspace.

References evas_obj_image_data_convert.

void evas_object_image_data_copy_set | ( | Evas_Object * | obj,
|  | void * | data
| ) |  |

Replaces the raw image data of the given image object.

Parameters

  obj | The given image object.
  data | The raw data to replace.

This function lets the application replace an image object's internal pixel buffer with an user-allocated one. For best results, you should generally first call evas_object_image_size_set() with the width and height for the new buffer.

This call is best suited for when you will be using image data with different dimensions than the existing image data, if any. If you only need to modify the existing image in some fashion, then using evas_object_image_data_get() is probably what you are after.

Note that the caller is responsible for freeing the buffer when finished with it, as user-set image data will not be automatically freed when the image object is deleted.

See evas_object_image_data_get() for more details.

References evas_obj_image_data_copy_set.

void evas_object_image_data_update_add | ( | Evas_Object * | obj,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

Mark a sub-region of the given image object to be redrawn.

Parameters

  obj | The given image object.
  x | X-offset of the region to be updated.
  y | Y-offset of the region to be updated.
  w | Width of the region to be updated.
  h | Height of the region to be updated.

This function schedules a particular rectangular region of an image object to be updated (redrawn) at the next rendering cycle.

References evas_obj_image_data_update_add.

void evas_object_image_alpha_set | ( | Evas_Object * | obj,
|  | Eina_Bool | has_alpha
| ) |  |

Enable or disable alpha channel usage on the given image object.

Parameters

  obj | The given image object.
  has_alpha | Whether to use alpha channel (`EINA_TRUE`) data or not (`EINA_FALSE`).

This function sets a flag on an image object indicating whether or not to use alpha channel data. A value of `EINA_TRUE` makes it use alpha channel data, and `EINA_FALSE` makes it ignore that data. Note that this has nothing to do with an object's color as manipulated by evas_object_color_set().

See Also
  evas_object_image_alpha_get()

Examples:
  evas-images.c.

References evas_obj_image_alpha_set.

Referenced by ecore_evas_ews_new(), and ecore_evas_object_image_new().

Eina_Bool evas_object_image_alpha_get | ( | const Evas_Object * | obj | ) |

Retrieve whether alpha channel data is being used on the given image object.

Parameters

  obj | The given image object.

Returns
  Whether the alpha channel data is being used (`EINA_TRUE`) or not (`EINA_FALSE`).

This function returns `EINA_TRUE` if the image object's alpha channel is being used, or `EINA_FALSE` otherwise.

See evas_object_image_alpha_set() for more details.

Examples:
  evas-images.c.

References EINA_FALSE, and evas_obj_image_alpha_get.

void evas_object_image_smooth_scale_set | ( | Evas_Object * | obj,
|  | Eina_Bool | smooth_scale
| ) |  |

Sets whether to use high-quality image scaling algorithm on the given image object.

Parameters

  obj | The given image object.
  smooth_scale | Whether to use smooth scale or not.

When enabled, a higher quality image scaling algorithm is used when scaling images to sizes other than the source image's original one. This gives better results but is more computationally expensive.

Note
  Image objects get created originally with smooth scaling on.

See Also
  evas_object_image_smooth_scale_get()

Examples:
  evas-images.c.

References evas_obj_image_smooth_scale_set.

Referenced by emotion_object_smooth_scale_set().

Eina_Bool evas_object_image_smooth_scale_get | ( | const Evas_Object * | obj | ) |

Retrieves whether the given image object is using high-quality image scaling algorithm.

Parameters

  obj | The given image object.

Returns
  Whether smooth scale is being used.

See evas_object_image_smooth_scale_set() for more details.

Examples:
  evas-images.c.

References EINA_FALSE, and evas_obj_image_smooth_scale_get.

Referenced by emotion_object_smooth_scale_get().

void evas_object_image_preload | ( | Evas_Object * | obj,
|  | Eina_Bool | cancel
| ) |  |

Preload an image object's image data in the background.

Parameters

  obj | The given image object.
  cancel | `EINA_FALSE` will add it the preloading work queue, `EINA_TRUE` will remove it (if it was issued before).

This function requests the preload of the data image in the background. The work is queued before being processed (because there might be other pending requests of this type).

Whenever the image data gets loaded, Evas will call EVAS_CALLBACK_IMAGE_PRELOADED registered callbacks on `obj` (what may be immediately, if the data was already preloaded before).

Use `EINA_TRUE` for `cancel` on scenarios where you don't need the image data preloaded anymore.

Note
  Any evas_object_show() call after evas_object_image_preload() will make the latter to be cancelled, with the loading process now taking place synchronously (and, thus, blocking the return of the former until the image is loaded). It is highly advisable, then, that the user preload an image with it being hidden, just to be shown on the EVAS_CALLBACK_IMAGE_PRELOADED event's callback.

Examples:
  evas-images2.c.

References evas_obj_image_preload_begin, and evas_obj_image_preload_cancel.

void evas_object_image_reload | ( | Evas_Object * | obj | ) |

Reload an image object's image data.

Parameters

  obj | The given image object pointer.

This function reloads the image data bound to image object `obj`.

References evas_obj_image_reload.

Eina_Bool evas_object_image_save | ( | const Evas_Object * | obj,
|  | const char * | file,
|  | const char * | key,
|  | const char * | flags
| ) |  |

Save the given image object's contents to an (image) file.

Parameters

  obj | The given image object.
  file | The filename to be used to save the image (extension obligatory).
  key | The image key in the file (if an Eet one), or `NULL`, otherwise.
  flags | String containing the flags to be used (`NULL` for none).

The extension suffix on `file` will determine which saver module Evas is to use when saving, thus the final file's format. If the file supports multiple data stored in it (Eet ones), you can specify the key to be used as the index of the image in it.

You can specify some flags when saving the image. Currently acceptable flags are `quality` and `compress`. Eg.: `"quality=100 compress=9"`

Examples:
  evas-images2.c.

References EINA_FALSE, and evas_obj_image_save.

Eina_Bool evas_object_image_pixels_import | ( | Evas_Object * | obj,
|  | Evas_Pixel_Import_Source * | pixels
| ) |  |

Import pixels from given source to a given canvas image object.

Parameters

  obj | The given canvas object.
  pixels | The pixel's source to be imported.

This function imports pixels from a given source to a given canvas image.

References EINA_FALSE, and evas_obj_image_pixels_import.

void evas_object_image_pixels_get_callback_set | ( | Evas_Object * | obj,
|  | Evas_Object_Image_Pixels_Get_Cb | func,
|  | void * | data
| ) |  |

Set the callback function to get pixels from a canvas' image.

Parameters

  obj | The given canvas pointer.
  func | The callback function.
  data | The data pointer to be passed to func.

This functions sets a function to be the callback function that get pixels from a image of the canvas.

References evas_obj_image_pixels_get_callback_set.

void evas_object_image_pixels_dirty_set | ( | Evas_Object * | obj,
|  | Eina_Bool | dirty
| ) |  |

Mark whether the given image object is dirty and needs to request its pixels.

Parameters

  obj | The given image object.
  dirty | Whether the image is dirty.

This function will only properly work if a pixels get callback has been set.

Warning
  use this function if you really know what you are doing.

See Also
  evas_object_image_pixels_get_callback_set()

References evas_obj_image_pixels_dirty_set.

Eina_Bool evas_object_image_pixels_dirty_get | ( | const Evas_Object * | obj | ) |

Retrieves whether the given image object is dirty (needs to be redrawn).

Parameters

  obj | The given image object.

Returns
  Whether the image is dirty.

References EINA_FALSE, and evas_obj_image_pixels_dirty_get.

void evas_object_image_load_dpi_set | ( | Evas_Object * | obj,
|  | double | dpi
| ) |  |

Set the DPI resolution of an image object's source image.

Parameters

  obj | The given canvas pointer.
  dpi | The new DPI resolution.

This function sets the DPI resolution of a given loaded canvas image. Most useful for the SVG image loader.

See Also
  evas_object_image_load_dpi_get()

References evas_obj_image_load_dpi_set.

double evas_object_image_load_dpi_get | ( | const Evas_Object * | obj | ) |

Get the DPI resolution of a loaded image object in the canvas.

Parameters

  obj | The given canvas pointer.

Returns
  The DPI resolution of the given canvas image.

This function returns the DPI resolution of the given canvas image.

See Also
  evas_object_image_load_dpi_set() for more details

References evas_obj_image_load_dpi_get.

void evas_object_image_load_size_set | ( | Evas_Object * | obj,
|  | int | w,
|  | int | h
| ) |  |

Set the size of a given image object's source image, when loading it.

Parameters

  obj | The given canvas object.
  w | The new width of the image's load size.
  h | The new height of the image's load size.

This function sets a new (loading) size for the given canvas image.

See Also
  evas_object_image_load_size_get()

References evas_obj_image_load_size_set.

void evas_object_image_load_size_get | ( | const Evas_Object * | obj,
|  | int * | w,
|  | int * | h
| ) |  |

Get the size of a given image object's source image, when loading it.

Parameters

  obj | The given image object.
  w | Where to store the new width of the image's load size.
  h | Where to store the new height of the image's load size.

Note
  Use `NULL` pointers on the size components you're not interested in: they'll be ignored by the function.

See Also
  evas_object_image_load_size_set() for more details

References evas_obj_image_load_size_get.

void evas_object_image_load_scale_down_set | ( | Evas_Object * | obj,
|  | int | scale_down
| ) |  |

Set the scale down factor of a given image object's source image, when loading it.

Parameters

  obj | The given image object pointer.
  scale_down | The scale down factor.

This function sets the scale down factor of a given canvas image. Most useful for the SVG image loader.

See Also
  evas_object_image_load_scale_down_get()

References evas_obj_image_load_scale_down_set.

int evas_object_image_load_scale_down_get | ( | const Evas_Object * | obj | ) |

get the scale down factor of a given image object's source image, when loading it.

Parameters

  obj | The given image object pointer.

See Also
  evas_object_image_load_scale_down_set() for more details

References evas_obj_image_load_scale_down_get.

void evas_object_image_load_region_set | ( | Evas_Object * | obj,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

Inform a given image object to load a selective region of its source image.

Parameters

  obj | The given image object pointer.
  x | X-offset of the region to be loaded.
  y | Y-offset of the region to be loaded.
  w | Width of the region to be loaded.
  h | Height of the region to be loaded.

This function is useful when one is not showing all of an image's area on its image object.

Note
  The image loader for the image format in question has to support selective region loading in order to this function to take effect.

See Also
  evas_object_image_load_region_get()

References evas_obj_image_load_region_set.

void evas_object_image_load_region_get | ( | const Evas_Object * | obj,
|  | int * | x,
|  | int * | y,
|  | int * | w,
|  | int * | h
| ) |  |

Retrieve the coordinates of a given image object's selective (source image) load region.

Parameters

  obj | The given image object pointer.
  x | Where to store the X-offset of the region to be loaded.
  y | Where to store the Y-offset of the region to be loaded.
  w | Where to store the width of the region to be loaded.
  h | Where to store the height of the region to be loaded.

Note
  Use `NULL` pointers on the coordinates you're not interested in: they'll be ignored by the function.

See Also
  evas_object_image_load_region_get()

References evas_obj_image_load_region_get.

void evas_object_image_load_orientation_set | ( | Evas_Object * | obj,
|  | Eina_Bool | enable
| ) |  |

Define if the orientation information in the image file should be honored.

Parameters

  obj | The given image object pointer.
  enable | `EINA_TRUE` means that it should honor the orientation information

Since
  1.1

References evas_obj_image_load_orientation_set.

Eina_Bool evas_object_image_load_orientation_get | ( | const Evas_Object * | obj | ) |

Get if the orientation information in the image file should be honored.

Parameters

  obj | The given image object pointer.

Since
  1.1

References EINA_FALSE, and evas_obj_image_load_orientation_get.

void evas_object_image_colorspace_set | ( | Evas_Object * | obj,
|  | Evas_Colorspace | cspace
| ) |  |

Set the colorspace of a given image of the canvas.

Parameters

  obj | The given image object pointer.
  cspace | The new color space.

This function sets the colorspace of given canvas image.

References evas_obj_image_colorspace_set.

Referenced by ecore_evas_ews_new(), and ecore_evas_object_image_new().

Evas_Colorspace evas_object_image_colorspace_get | ( | const Evas_Object * | obj | ) |

Get the colorspace of a given image of the canvas.

Parameters

  obj | The given image object pointer.

Returns
  The colorspace of the image.

This function returns the colorspace of given canvas image.

References EVAS_COLORSPACE_ARGB8888, and evas_obj_image_colorspace_get.

Eina_Bool evas_object_image_region_support_get | ( | const Evas_Object * | obj | ) |

Get the support state of a given image.

Parameters

  obj | The given image object pointer

Returns
  The region support state

Since
  1.2

This function returns the state of the region support of given image

References EINA_FALSE, and evas_obj_image_region_support_get.

void evas_object_image_native_surface_set | ( | Evas_Object * | obj,
|  | Evas_Native_Surface * | surf
| ) |  |

Set the native surface of a given image of the canvas.

Parameters

  obj | The given canvas pointer.
  surf | The new native surface.

This function sets a native surface of a given canvas image.

References EVAS_CALLBACK_DEL, evas_obj_image_native_surface_set, evas_object_event_callback_add(), and evas_object_event_callback_del_full().

Evas_Native_Surface* evas_object_image_native_surface_get | ( | const Evas_Object * | obj | ) |

Get the native surface of a given image of the canvas.

Parameters

  obj | The given canvas pointer.

Returns
  The native surface of the given canvas image.

This function returns the native surface of a given canvas image.

References evas_obj_image_native_surface_get.

void evas_object_image_video_surface_set | ( | Evas_Object * | obj,
|  | Evas_Video_Surface * | surf
| ) |  |

Set the video surface linked to a given image of the canvas.

Parameters

  obj | The given canvas pointer.
  surf | The new video surface.

Since
  1.1

This function links a video surface to a given canvas image.

References evas_obj_image_video_surface_set.

const Evas_Video_Surface* evas_object_image_video_surface_get | ( | const Evas_Object * | obj | ) |

Get the video surface linekd to a given image of the canvas.

Parameters

  obj | The given canvas pointer.

Returns
  The video surface of the given canvas image.

Since
  1.1

This function returns the video surface linked to a given canvas image.

References evas_obj_image_video_surface_get.

void evas_object_image_scale_hint_set | ( | Evas_Object * | obj,
|  | Evas_Image_Scale_Hint | hint
| ) |  |

Set the scale hint of a given image of the canvas.

Parameters

  obj | The given image object pointer.
  hint | The scale hint, a value in #Evas_Image_Scale_Hint.

This function sets the scale hint value of the given image object in the canvas, which will affect how Evas is to cache scaled versions of its original source image.

See Also
  evas_object_image_scale_hint_get()

References evas_obj_image_scale_hint_set.

Evas_Image_Scale_Hint evas_object_image_scale_hint_get | ( | const Evas_Object * | obj | ) |

Get the scale hint of a given image of the canvas.

Parameters

  obj | The given image object pointer.

Returns
  The scale hint value set on `obj`, a value in #Evas_Image_Scale_Hint.

This function returns the scale hint value of the given image object of the canvas.

See Also
  evas_object_image_scale_hint_set() for more details.

References evas_obj_image_scale_hint_get.

void evas_object_image_content_hint_set | ( | Evas_Object * | obj,
|  | Evas_Image_Content_Hint | hint
| ) |  |

Set the content hint setting of a given image object of the canvas.

Parameters

  obj | The given canvas pointer.
  hint | The content hint value, one of the Evas_Image_Content_Hint ones.

This function sets the content hint value of the given image of the canvas. For example, if you're on the GL engine and your driver implementation supports it, setting this hint to EVAS_IMAGE_CONTENT_HINT_DYNAMIC will make it need zero copies at texture upload time, which is an "expensive" operation.

See Also
  evas_object_image_content_hint_get()

References evas_obj_image_content_hint_set.

Referenced by ecore_evas_ews_new(), and ecore_evas_object_image_new().

Evas_Image_Content_Hint evas_object_image_content_hint_get | ( | const Evas_Object * | obj | ) |

Get the content hint setting of a given image object of the canvas.

Parameters

  obj | The given canvas pointer.

Returns
  hint The content hint value set on it, one of the Evas_Image_Content_Hint ones (EVAS_IMAGE_CONTENT_HINT_NONE means an error).

This function returns the content hint value of the given image of the canvas.

See Also
  evas_object_image_content_hint_set()

References EVAS_IMAGE_CONTENT_HINT_NONE, and evas_obj_image_content_hint_get.

void evas_object_image_alpha_mask_set | ( | Evas_Object * | obj,
|  | Eina_Bool | ismask
| ) |  |

Enable an image to be used as an alpha mask.

This will set any flags, and discard any excess image data not used as an alpha mask.

Note there is little point in using a image as alpha mask unless it has an alpha channel.

Parameters

  obj | Object to use as an alpha mask.
  ismask | Use image as alphamask, must be true.

Eina_Bool evas_object_image_source_set | ( | Evas_Object * | obj,
|  | Evas_Object * | src
| ) |  |

Set the source object on an image object to used as a proxy.

Parameters

  obj | Proxy (image) object.
  src | Source object to use for the proxy.

Returns
  `EINA_TRUE` on success, `EINA_FALSE` on error.

If an image object is set to behave as a proxy, it will mirror the rendering contents of a given source object in its drawing region, without affecting that source in any way. The source must be another valid Evas object. Other effects may be applied to the proxy, such as a map (see evas_object_map_set()) to create a reflection of the original object (for example).

Any existing source object on `obj` will be removed after this call. Setting `src` to `NULL` clears the proxy object (not in "proxy state" anymore).

Warning
  You cannot set a proxy as another proxy's source.

See Also
  evas_object_image_source_get()
  evas_object_image_source_unset()
  evas_object_image_source_visible_set()

Examples:
  evas-images2.c, and evas-map-utils.c.

References EINA_FALSE, and evas_obj_image_source_set.

Evas_Object* evas_object_image_source_get | ( | const Evas_Object * | obj | ) |

Get the current source object of an image object.

Parameters

  obj | Image object

Returns
  Source object (if any), or `NULL`, if not in "proxy mode" (or on errors).

See Also
  evas_object_image_source_set() for more details

Examples:
  evas-images2.c, and evas-map-utils.c.

References evas_obj_image_source_get.

Eina_Bool evas_object_image_source_unset | ( | Evas_Object * | obj | ) |

Clear the source object on a proxy image object.

Parameters

  obj | Image object to clear source of.

Returns
  `EINA_TRUE` on success, `EINA_FALSE` on error.

This is equivalent to calling evas_object_image_source_set() with a `NULL` source.

References EINA_FALSE, and evas_obj_image_source_set.

void evas_object_image_source_visible_set | ( | Evas_Object * | obj,
|  | Eina_Bool | visible
| ) |  |

Set the source object to be visible or not.

Parameters

  obj | Proxy (image) object.
  visible | `EINA_TRUE` is source object to be shown, `EINA_FALSE` otherwise.

If the `visible` set to `EINA_FALSE`, the source object of the proxy(`obj` ) will be invisible.

This API works differently to evas_object_show() and evas_object_hide(). Once source object is hidden by evas_object_hide() then the proxy object will be hidden as well. Actually in this case both objects are excluded from the Evas internal update circle.

By this API, instead, one can toggle the visibility of a proxy's source object remaining the proxy visibility untouched.

Warning
  If the all of proxies are deleted, then the source visibility of the source object will be cancelled.

See Also
  evas_object_image_source_visible_get()
  evas_object_image_source_set()
  evas_object_show()
  evas_object_hide()

Since
  1.8

Examples:
  evas-images2.c.

References evas_obj_image_source_visible_set.

Eina_Bool evas_object_image_source_visible_get | ( | const Evas_Object * | obj | ) |

Get the state of the source object visibility.

Parameters

  obj | Proxy (image) object.

Returns
  `EINA_TRUE` if source object is visible, `EINA_FALSE` otherwise.

See Also
  evas_object_image_source_visible_set()
  evas_object_image_source_set()
  evas_object_show()
  evas_object_hide()

Since
  1.8

Examples:
  evas-images2.c.

References EINA_FALSE, and evas_obj_image_source_visible_get.

void evas_object_image_source_events_set | ( | Evas_Object * | obj,
|  | Eina_Bool | source
| ) |  |

Set whether an Evas object is to source events.

Parameters

  obj | Proxy (image) object.
  source | whether `obj` is to pass events (`EINA_TRUE`) or not (`EINA_FALSE`)

Set whether an Evas object is to repeat events to source.

If `source` is `EINA_TRUE`, it will make events on `obj` to also be repeated for the source object (see evas_object_image_source_set()). Even the `obj` and source geometries are different, the event position will be transformed to the source object's space.

If `source` is `EINA_FALSE`, events occurring on `obj` will be processed only on it.

See Also
  evas_object_image_source_get()
  evas_object_image_source_visible_set()
  evas_object_image_source_events_get()

Since
  1.8

Examples:
  evas-images2.c.

References evas_obj_image_source_events_set.

Eina_Bool evas_object_image_source_events_get | ( | const Evas_Object * | obj | ) |

Determine whether an object is set to source events.

Parameters

  obj | Proxy (image) object.

Returns
  `EINA_TRUE` if source object has events, `EINA_FALSE` otherwise.

See Also
  evas_object_image_source_set()
  evas_object_image_source_visible_set()
  evas_object_image_source_events_set()

Since
  1.8

Examples:
  evas-images2.c.

References EINA_FALSE, and evas_obj_image_source_events_get.

void evas_object_image_source_clip_set | ( | Evas_Object * | obj,
|  | Eina_Bool | source_clip
| ) |  |

Clip the proxy object with the source object's clipper.

Parameters

  obj | Proxy (image) object.
  source_clip | whether `obj` is clipped by the source clipper. (`EINA_TRUE`) or not (`EINA_FALSE`)

See Also
  evas_object_clip_set()
  evas_object_image_source_set()

Since
  1.8

References evas_obj_image_source_clip_set.

Eina_Bool evas_object_image_source_clip_get | ( | const Evas_Object * | obj | ) |

Determine whether an object is clipped by source object's clipper.

Parameters

  obj | Proxy (image) object.

Returns
  `EINA_TRUE` if source clip is enabled, `EINA_FALSE` otherwise.

See Also
  evas_object_clip_set()
  evas_object_image_source_set()
  evas_object_image_source_clip_set()

Since
  1.8

References EINA_FALSE, and evas_obj_image_source_clip_get.

Eina_Bool evas_object_image_animated_get | ( | const Evas_Object * | obj | ) |

Check if an image object can be animated (have multiple frames)

Parameters

  obj | Image object

Returns
  whether obj support animation

This returns if the image file of an image object is capable of animation such as an animated gif file might. This is only useful to be called once the image object file has been set.

Example:

extern Evas_Object *obj;
if (evas_object_image_animated_get(obj))
{
int frame_count;
int loop_count;
Evas_Image_Animated_Loop_Hint loop_type;
double duration;
frame_count = evas_object_image_animated_frame_count_get(obj);
printf("This image has %d frames\n",frame_count);
duration = evas_object_image_animated_frame_duration_get(obj,1,0);
printf("Frame 1's duration is %f. You had better set object's frame to 2 after this duration using timer\n");
loop_count = evas_object_image_animated_loop_count_get(obj);
printf("loop count is %d. You had better run loop %d times\n",loop_count,loop_count);
loop_type = evas_object_image_animated_loop_type_get(obj);
if (loop_type == EVAS_IMAGE_ANIMATED_HINT_LOOP)
printf("You had better set frame like 1->2->3->1->2->3...\n");
else if (loop_type == EVAS_IMAGE_ANIMATED_HINT_PINGPONG)
printf("You had better set frame like 1->2->3->2->1->2...\n");
else
printf("Unknown loop type\n");
evas_object_image_animated_frame_set(obj,1);
printf("You set image object's frame to 1. You can see frame 1\n");
}

See Also
  evas_object_image_animated_get()
  evas_object_image_animated_frame_count_get()
  evas_object_image_animated_loop_type_get()
  evas_object_image_animated_loop_count_get()
  evas_object_image_animated_frame_duration_get()
  evas_object_image_animated_frame_set()

Since
  1.1

References EINA_FALSE, and evas_obj_image_animated_get.

int evas_object_image_animated_frame_count_get | ( | const Evas_Object * | obj | ) |

Get the total number of frames of the image object.

Parameters

  obj | Image object

Returns
  The number of frames

This returns total number of frames the image object supports (if animated)

See Also
  evas_object_image_animated_get()
  evas_object_image_animated_frame_count_get()
  evas_object_image_animated_loop_type_get()
  evas_object_image_animated_loop_count_get()
  evas_object_image_animated_frame_duration_get()
  evas_object_image_animated_frame_set()

Since
  1.1

References evas_obj_image_animated_frame_count_get.

Evas_Image_Animated_Loop_Hint evas_object_image_animated_loop_type_get | ( | const Evas_Object * | obj | ) |

Get the kind of looping the image object does.

Parameters

  obj | Image object

Returns
  Loop type of the image object

This returns the kind of looping the image object wants to do.

If it returns EVAS_IMAGE_ANIMATED_HINT_LOOP, you should display frames in a sequence like: 1->2->3->1->2->3->1... If it returns EVAS_IMAGE_ANIMATED_HINT_PINGPONG, it is better to display frames in a sequence like: 1->2->3->2->1->2->3->1...

The default type is EVAS_IMAGE_ANIMATED_HINT_LOOP.

See Also
  evas_object_image_animated_get()
  evas_object_image_animated_frame_count_get()
  evas_object_image_animated_loop_type_get()
  evas_object_image_animated_loop_count_get()
  evas_object_image_animated_frame_duration_get()
  evas_object_image_animated_frame_set()

Since
  1.1

References evas_obj_image_animated_loop_type_get.

int evas_object_image_animated_loop_count_get | ( | const Evas_Object * | obj | ) |

Get the number times the animation of the object loops.

Parameters

  obj | Image object

Returns
  The number of loop of an animated image object

This returns loop count of image. The loop count is the number of times the animation will play fully from first to last frame until the animation should stop (at the final frame).

If 0 is returned, then looping should happen indefinitely (no limit to the number of times it loops).

See Also
  evas_object_image_animated_get()
  evas_object_image_animated_frame_count_get()
  evas_object_image_animated_loop_type_get()
  evas_object_image_animated_loop_count_get()
  evas_object_image_animated_frame_duration_get()
  evas_object_image_animated_frame_set()

Since
  1.1

References evas_obj_image_animated_loop_count_get.

double evas_object_image_animated_frame_duration_get | ( | const Evas_Object * | obj,
|  | int | start_frame,
|  | int | fram_num
| ) |  |

Get the duration of a sequence of frames.

Parameters

  obj | Image object
  start_frame | The first frame
  fram_num | Number of frames in the sequence

This returns total duration that the specified sequence of frames should take in seconds.

If you set start_frame to 1 and frame_num 0, you get frame 1's duration If you set start_frame to 1 and frame_num 1, you get frame 1's duration + frame2's duration

See Also
  evas_object_image_animated_get()
  evas_object_image_animated_frame_count_get()
  evas_object_image_animated_loop_type_get()
  evas_object_image_animated_loop_count_get()
  evas_object_image_animated_frame_duration_get()
  evas_object_image_animated_frame_set()

Since
  1.1

References evas_obj_image_animated_frame_duration_get.

void evas_object_image_animated_frame_set | ( | Evas_Object * | obj,
|  | int | frame_num
| ) |  |

Set the frame to current frame of an image object.

Parameters

  obj | The given image object.
  frame_num | The index of current frame

This set image object's current frame to frame_num with 1 being the first frame.

See Also
  evas_object_image_animated_get()
  evas_object_image_animated_frame_count_get()
  evas_object_image_animated_loop_type_get()
  evas_object_image_animated_loop_count_get()
  evas_object_image_animated_frame_duration_get()
  evas_object_image_animated_frame_set()

Since
  1.1

References evas_obj_image_animated_frame_set.